<%@ Page Language="C#" %>
<%@ Import Namespace="System.Drawing" %>
<script Runat="Server">
protected void dropBackColor_SelectedIndexChanged(Object sender, EventArgs e)
	{
		Color strBackColor;
		strBackColor = Color.FromName( dropBackColor.SelectedItem.Text );
		txtTextBox.BackColor = strBackColor;
	}

protected void dropFontSize_SelectedIndexChanged(Object sender, EventArgs e)
	{
		txtTextBox.Font.Size = FontUnit.Parse( dropFontSize.SelectedItem.Text );
	}
</Script>

<html>
<head><title>BaseWebControlDynamic.aspx</title></head>
<body>

<form Runat="Server">

<asp:TextBox
  ID="txtTextBox"
  TextMode="MultiLine"
  Text="Here is some text"
  Runat="Server" />

<p>
BackColor:
<asp:DropDownList
  ID="dropBackColor"
  AutoPostBack="True"
  OnSelectedIndexChanged="dropBackColor_SelectedIndexChanged"
  Runat="Server">
  <asp:ListItem Text="Red" />
  <asp:ListItem Text="Blue" />
  <asp:ListItem Text="Green" />
</asp:DropDownList>

<p>
Font Size:
<asp:DropDownList
  ID="dropFontSize"
  AutoPostBack="True"
  OnSelectedIndexChanged="dropFontSize_SelectedIndexChanged"
  Runat="Server">
  <asp:ListItem Text="12pt" />
  <asp:ListItem Text="14pt" />
  <asp:ListItem Text="24pt" />
</asp:DropDownList>

</form>
</body>
</html>
