<%@ Page Language="C#"%>
<%@ Import namespace="System.Data" %>

<script Runat="Server">

void Page_Load(Object sender, EventArgs e)
 {
  if (! IsPostBack )
   {
    DataTable  dtblStates = new DataTable();
    DataRow drowNewState;

    dtblStates.Columns.Add(new DataColumn( "StateName", typeof( string  ) ) );
    dtblStates.Columns.Add(new DataColumn( "StateAbbr", typeof( string  ) ) );
    drowNewState = dtblStates.NewRow();
    drowNewState[ "StateName" ] = "California";
    drowNewState[ "StateAbbr" ] = "CA";
    dtblStates.Rows.Add( drowNewState );
    drowNewState = dtblStates.NewRow();
    drowNewState[ "StateName" ] = "Massachusetts";
    drowNewState[ "StateAbbr" ] = "MA";
    dtblStates.Rows.Add( drowNewState );
    drowNewState = dtblStates.NewRow();
    drowNewState[ "StateName" ] = "Ohio";
    drowNewState[ "StateAbbr" ] = "OH";
    dtblStates.Rows.Add( drowNewState );

    radlStateOfResidence.DataSource = dtblStates;
    radlStateOfResidence.DataTextField = "StateName";
    radlStateOfResidence.DataValueField = "StateAbbr";
    radlStateOfResidence.DataBind();
  }
}

</script>

<html>
<head><title>RadioButtonListDataValueField.aspx</title></head>
<body>

<form Runat="Server">

<asp:RadioButtonList
  ID="radlStateOfResidence"
  Runat="Server"/>

</form>

</body>
</html>
