<Script runat="server">

Public Class Product
  Private _strProductName, _strProductCode As String

  Sub New( strProductName As String, strProductCode As String )
    _strProductName = strProductName
    _strProductCode = strProductCode
  End Sub

  Public ReadOnly Property ProductName As String
    Get
      Return _strProductName
    End Get
  End Property

  Public ReadOnly Property ProductCode As String
    Get
      Return _strProductCode
    End Get
  End Property
End Class

Sub Page_Load
  Dim colProducts As New ArrayList

  If Not IsPostBack Then
    colProducts.Add( New Product( "Hair Dryer", "A8999" ) )
    colProducts.Add( New Product( "Shaving Cream", "S7777" ) )
    colProducts.Add( New Product( "Electric Comb", "E23234" ) )

    chklProducts.DataSource = colProducts
    chklProducts.DataTextField = "ProductName"
    chklProducts.DataValueField = "ProductCode"
    chklProducts.DataBind
  End If
End Sub

</script>

<html>
<head><title>CheckBoxListDataValue.aspx</title></head>
<body>

<form Runat="Server">

<asp:CheckBoxList
  ID="chklProducts"
  Runat="Server"/>

</form>

</body>
</html>
