<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs)
  If IsValid Then
    Response.Redirect( "Thankyou.aspx" )
  End If
End Sub

Sub ValidateCCNumber( s As Object, e As ServerValidateEventArgs )
 Dim intCounter As Integer
 Dim strCCNumber As String
 Dim blnIsEven As Boolean = False
 Dim strDigits As String = ""
 Dim intCheckSum As Integer = 0

 ' Strip away everything except numerals
 For intCounter = 1 To Len( e.Value )
   If IsNumeric( MID( e.Value, intCounter, 1 ) ) THEN
     strCCNumber = strCCNumber & MID( e.Value, intCounter, 1 )
   End If
 Next

 ' If nothing left, then fail
 If Len( strCCNumber ) = 0 Then
   e.IsValid = False
 Else

 ' Double every other digit
 for intCounter = Len( strCCNumber ) To 1 Step -1
 if blnIsEven Then
   strDigits = strDigits & cINT( MID( strCCNumber, intCounter, 1 ) ) * 2
 ELSE
   strDigits = strDigits & cINT( MID( strCCNumber, intCounter, 1 ) )
 END IF
 blnIsEven = ( NOT blnIsEven )
 Next


 ' Calculate CheckSum
 For intCounter = 1 To Len( strDigits )
   intCheckSum = intCheckSum + cINT( MID( strDigits, intCounter, 1 ) )
 Next


 ' Assign results
 e.IsValid = (( intCheckSum Mod 10 ) = 0 )

 End If
End Sub

</script>

<html>
<head><title>CustomValidatorLuhn.aspx</title></head>
<body>

<form Runat="Server">

Enter your credit card number:
<br>
<asp:TextBox
  ID="txtCCNumber"
  Columns="20"
  MaxLength="20"
  Runat="Server" />

<asp:CustomValidator
  ControlToValidate="txtCCNumber"
  OnServerValidate="ValidateCCNumber"
  Display="Dynamic"
  Text="Invalid Credit Card Number!"
  Runat="Server" />
<p>
<asp:Button
  Text="Submit!"
  OnClick="Button_Click"
  Runat="Server" />
</form>

</body>
</html>
