<%@ Page Language="C#"%>
<%@ Import Namespace="System.IO" %>

<script runat=server>

void AdRotator_AdCreated( object s, AdCreatedEventArgs e ) {
   int intImpressions = 0;
   string  strFileName;
   StreamReader strmStreamReader;
   StreamWriter strmStreamWriter;

  strFileName = e.AdProperties[ "Campaign" ] + ".imp";
  if ( strFileName == "" ) {
    strFileName = "default.imp";
  }

 if ( File.Exists( MapPath( strFileName ) ) ) {
    strmStreamReader = File.OpenText( MapPath( strFileName ) );
    intImpressions = System.Convert.ToInt16( strmStreamReader.ReadLine() );
    strmStreamReader.Close();
  }

  strmStreamWriter = File.CreateText( MapPath( strFileName ) );
  strmStreamWriter.Write( intImpressions + 1 );
  strmStreamWriter.Close();
}

</Script>


<html>
<head><title>AdRotatorImpressions.aspx</title></head>
<body>

<form Runat="Server">

<asp:AdRotator
  AdvertisementFile="AdCampaigns.xml"
  OnAdCreated="AdRotator_AdCreated"
  Runat="Server" />

</form>
</body>
</html>
