<%@ Import Namespace="System.IO" %>
<Script runat="Server">

Sub AdRotator_AdCreated( s As Object, e As AdCreatedEventArgs )
  Dim intImpressions As Integer = 0
  Dim strFileName As String
  Dim strmStreamReader As StreamReader
  Dim strmStreamWriter As StreamWriter

  ' Assign file name
  strFileName = e.AdProperties( "Campaign" ).Trim & ".imp"
  If strFileName = "" Then
    strFileName = "default.imp"
  End If

  ' Read current impressions
  If File.Exists( MapPath( strFileName ) ) Then
    strmStreamReader = File.OpenText( MapPath( strFileName ) )
    intImpressions = Cint( strmStreamReader.ReadLine )
    strmStreamReader.Close
  End If

  ' Write current impressions
  strmStreamWriter = File.CreateText( MapPath( strFileName ) )
  strmStreamWriter.Write( intImpressions + 1 )
  strmStreamWriter.Close
End Sub

</Script>


<html>
<head><title>AdRotatorImpressions.aspx</title></head>
<body>

<form Runat="Server">

<asp:AdRotator
  AdvertisementFile="AdCampaigns.xml"
  OnAdCreated="AdRotator_AdCreated"
  Runat="Server" />

</form>
</body>
</html>
