<Script Runat="Server">

Sub lbtnVisible_Click( s As Object, e As EventArgs )
  If txtTextBox.Visible = True Then
    txtTextBox.Visible = False
    lnkHyperLink.Visible = False
    lbtnLinkButton.Visible = False
    btnButton.Visible = False
    lbtnVisible.Text = "Make Visible!"
  Else
    txtTextBox.Visible = True
    lnkHyperLink.Visible = True
    lbtnLinkButton.Visible = True
    btnButton.Visible = True
    lbtnVisible.Text = "Make Invisible!"
  End If
End Sub

Sub lbtnEnabled_Click( s As Object, e As EventArgs )
  If txtTextBox.Enabled = True Then
    txtTextBox.Enabled = False
    lnkHyperLink.Enabled = False
    lbtnLinkButton.Enabled = False
    btnButton.Enabled = False
    lbtnEnabled.Text = "Make Enabled!"
  Else
    txtTextBox.Enabled = True
    lnkHyperLink.Enabled = True
    lbtnLinkButton.Enabled = True
    btnButton.Enabled = True
    lbtnEnabled.Text = "Make Disabled!"
  End If
End Sub

</Script>

<html>
<head><title>Display.aspx</title></head>
<body>

<form Runat="Server">

TextBox:
<br>
<asp:TextBox
  ID="txtTextBox"
  Text="Some Text"
  Runat="Server" />

<p>
HyperLink:
<br>
<asp:HyperLink
  ID="lnkHyperLink"
  NavigateURL="somepage.aspx"
  Text="Click Here!"
  Runat="Server" />

<p>
LinkButton:
<br>
<asp:LinkButton
  ID="lbtnLinkButton"
  Text="Click Here!"
  Runat="Server" />

<p>
Button:
<br>
<asp:Button
  ID="btnButton"
  Text="Submit!"
  Runat="Server" />

<hr>

<asp:LinkButton
  ID="lbtnVisible"
  Text="Make Invisible!"
  OnClick="lbtnVisible_Click"
  Runat="Server" />

<asp:LinkButton
  ID="lbtnEnabled"
  Text="Make Disabled!"
  OnClick="lbtnEnabled_Click"
  Runat="Server" />

</form>
</body>
</html>
