using System;

namespace myComponents {
	public class BizObject {
		public void CheckOrder(string customer, string product, double unitPrice, int quantity, string state) {
			if ( quantity <= 0 || quantity > 100 ) {
				throw new ArgumentException( "Invalid Quantity!" );
			}

			if ( state == "California" && product == "Hair Dryer" ) {
				throw new ArgumentException( "Californians cannot own Hair Dryers!" );
			} 

			if ( state == "Washington" ) {
				unitPrice += unitPrice * .06;
			}
			
			DataObject  myDataObject = new DataObject();
			myDataObject.SaveOrder( customer, product, unitPrice, quantity, state );
		}
	}
}
