<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" %>

<Script Runat="Server">

Sub Page_Load
  Dim colArrayList As New ArrayList

  If Not Page.IsPostBack Then
    colArrayList.Add( "Star Wars" )
    colArrayList.Add( "Citizen Kane" )
  
    lstMovies.Datasource = colArrayList
    lstMovies.Databind()
  End If

End Sub  

Sub ObjectList_ItemCommand( s As Object, e As ObjectListCommandEventArgs )
  If e.CommandName = "Buy" Then
    ActiveForm = frmBuyTicket
  Else
    ActiveForm = frmShowDesc
  End If
End Sub
  
</Script>

<Mobile:Form id="displayMovies" runat="Server">

<Mobile:ObjectList
  ID="lstMovies" 
  OnItemCommand="ObjectList_ItemCommand"
  Runat="Server">
<Command Name="Buy" Text="Buy" />
<Command Name="Desc" Text="Desc" />
</Mobile:ObjectList>

</Mobile:Form>

<Mobile:Form id="frmShowDesc" runat="Server">
  <b>Great Movie!</b>
</Mobile:Form>

<Mobile:Form id="frmBuyTicket" runat="Server">
  <b>Buy Ticket!</b>
</Mobile:Form>