<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" %>

<Script Runat="Server">

Sub Command_Click( s As Object, e As EventArgs )
  If Not isValid Then
    ActiveForm = frmBad
  Else
    ActiveForm = frmGood
  End If
End Sub

</Script>

<Mobile:Form id="frmInput" runat="Server">

<b>Enter a number between 3 and 12:</b>
<Mobile:Textbox 
  ID="txtNumber"
  Runat="Server"/>

<Mobile:RequiredFieldValidator
  ErrorMessage="Input Required!"
  ControlToValidate="txtNumber"
  Runat="Server" />

<Mobile:RangeValidator
  ErrorMessage="Not in Range!"
  ControlToValidate="txtNumber"
  Type="Integer"
  MinimumValue="3"
  MaximumValue="12"
  Runat="Server" />

<Mobile:Command
  Text="Submit!"
  OnClick="Command_Click"
  Runat="Server"/>

</Mobile:Form>

<Mobile:Form id="frmBad" runat="Server">

<Mobile:ValidationSummary
  formToValidate="frmInput"
  Runat="Server" />

</Mobile:Form>

<Mobile:Form id="frmGood" runat="Server">

<i>Good Job!</i>

</Mobile:Form>