<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim conAuthors As OleDbConnection
  Dim strSelect As String
  Dim cmdSelect As OleDbCommand

  conAuthors = New OleDbConnection( "PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA Source=c:\Authors.mdb" )
  strSelect = "Select phone From Authors Where au_fname=? And au_lname=?"
  cmdSelect = New OleDbCommand( strSelect, conAuthors )

  cmdSelect.Parameters.Add( "@firstname", txtFirstname.Text )
  cmdSelect.Parameters.Add( "@lastname", txtLastname.Text )

  conAuthors.Open()
  lblPhone.Text = cmdSelect.ExecuteScalar()
  conAuthors.Close()
End Sub


</Script>

<html>
<head><title>OleDbParameterSelect.aspx</title></head>
<body>

<form Runat="Server">

<h2>Author Phone Lookup</h2>

<b>First Name:</b>
<br>
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />
<p>
<b>Last Name:</b>
<br>
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />
<p>
<asp:Button
  Text="Lookup!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
<b>Phone:</b>
<asp:Label
  ID="lblPhone"
  EnableViewState="False"
  Runat="Server" />

</form>

</body>
</html>
