<%@ Import Namespace="System.Data.SqlClient" %>
<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim conPubs As SqlConnection
  Dim strUpdate As String
  Dim cmdUpdate As SqlCommand
  Dim intUpdateCount As Integer

  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;database=Pubs" )
  strUpdate = "Update Authors Set phone=@phone Where au_fname=@firstname And au_lname=@lastname"
  cmdUpdate = New SqlCommand( strUpdate, conPubs )
  cmdUpdate.Parameters.Add( "@phone", txtPhone.Text )
  cmdUpdate.Parameters.Add( "@firstname", txtFirstName.Text )
  cmdUpdate.Parameters.Add( "@lastname", txtLastName.Text )
  conPubs.Open()
  intUpdateCount = cmdUpdate.ExecuteNonQuery()
  conPubs.Close()
  lblResults.Text = intUpdateCount & " records updated!"
End Sub
</Script>

<html>
<head><title>SqlFormUpdate.aspx</title></head>
<body>
<form Runat="Server">

<h2>Update Phone Number</h2>

<b>First Name:</b>
<br>
<asp:TextBox
  ID="txtFirstName"
  Runat="Server" />
<p>
<b>Last Name:</b>
<br>
<asp:TextBox
  ID="txtLastName"
  Runat="Server" />
<p>
<b>New Phone:</b>
<br>
<asp:TextBox
  ID="txtPhone"
  Runat="Server" />
<p>
<asp:Button
  Text="Update Phone Number!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
<asp:Label
  ID="lblResults"
  Runat="Server" />

</form>
</body>
</html>
