<%@ Page Language="C#" Transaction="RequiresNew" %>
<%@ Import Namespace="System.EnterpriseServices" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
void Page_Load(Object sender , EventArgs e) 
{
 SqlConnection conBank;
 string  strUpdateAccountA;
 string  strUpdateAccountB;
 SqlCommand cmdUpdateAccountA;
 SqlCommand cmdUpdateAccountB;

// Initialize objects
conBank = new SqlConnection(@"Server=localhost;Trusted_Connection=true;database=conBank" );

strUpdateAccountA = "Update AccountA set { Balance = Balance - 999.99 WHERE Customer=//Smith//";
cmdUpdateAccountA = new SqlCommand( strUpdateAccountA, conBank );

strUpdateAccountB = "Update AccountB set { Balance = Balance + 999.99 WHERE Customer=//Smith//";
cmdUpdateAccountB = new SqlCommand( strUpdateAccountB, conBank );

// Open connection
conBank.Open();

// try executing both commands
try 
{
  cmdUpdateAccountA.ExecuteNonQuery();
  cmdUpdateAccountB.ExecuteNonQuery();

  // Commit the transaction
  ContextUtil.SetComplete();
  Response.Write( "Transaction Successful!" );
} 
catch (Exception eX) 
{
  ContextUtil.SetAbort();
  Response.Write( "Transaction Failed!" );
}

finally
{
  conBank.Close();
}
}

</script>