<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	string  strInsert;
	SqlCommand cmdInsert;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;database=Northwind" );
	strInsert = "Insert Products ( ProductName, UnitPrice ) Values (@ProductName, @UnitPrice )";
	cmdInsert = new SqlCommand( strInsert, conNorthwind );
	cmdInsert.Parameters.Add( "@ProductName", txtProductName.Text );
	cmdInsert.Parameters.Add( "@UnitPrice", SqlDbType.Money ).Value = txtUnitPrice.Text;
	conNorthwind.Open();
	cmdInsert.ExecuteNonQuery();
	conNorthwind.Close();
}
</Script>

<html>
<head><title>SqlFormInsert.aspx</title></head>
<body>
<form Runat="Server">

<h2>Add New Product</h2>

<b>Product Name:</b>
<br>
<asp:TextBox
  ID="txtProductName"
  Runat="Server" />
<p>
<b>Unit Price:</b>
<br>
<asp:TextBox
  ID="txtUnitPrice"
  Runat="Server" />
<p>
<asp:Button
  Text="Add!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>
