<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	string  strSelect;
	SqlCommand cmdSelect;

	conPubs = new SqlConnection( @"server=localhost;Integrated Security=SSPI;Database=Pubs" );
	strSelect = "Select phone From Authors Where au_fname=@firstname AND au_lname=@lastname";
	cmdSelect = new SqlCommand( strSelect, conPubs );

	cmdSelect.Parameters.Add( "@firstname", txtFirstname.Text );
	cmdSelect.Parameters.Add( "@lastname", txtLastname.Text );

	conPubs.Open();
	object ret = cmdSelect.ExecuteScalar();
	if (ret!=null) {
		lblPhone.Text = ret.ToString();
	} else {
		lblPhone.Text = "Author not found.";
	}
	conPubs.Close();
}


</Script>

<html>
<head><title>SqlParameterSelect.aspx</title></head>
<body>

<form Runat="Server">

<h2>Author Phone Lookup</h2>

<b>First Name:</b>
<br>
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />
<p>
<b>Last Name:</b>
<br>
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />
<p>
<asp:Button
  Text="Lookup!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
<b>Phone:</b>
<asp:Label
  ID="lblPhone"
  EnableViewState="False"
  Runat="Server" />

</form>

</body>
</html>
