<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e)
{
	int intEmployeeID;
	SqlConnection conNorthwind;
	string  strSelect;
	SqlCommand cmdSelect;
	SqlDataReader dtrEmployee;

	// Retrieve Employee ID
	intEmployeeID = 1;
	//intEmployeeID = Int32.Parse( Request.QueryString[ "id" ] );

	// get { Employee Detail Information
	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Northwind" );
	strSelect = "Select * From Employees Where EmployeeID=@employeeID";
	cmdSelect = new SqlCommand( strSelect, conNorthwind );
	cmdSelect.Parameters.Add( "@employeeID", intEmployeeID );
	conNorthwind.Open();
	dtrEmployee = cmdSelect.ExecuteReader( CommandBehavior.SingleRow );

	// Display in Label Controls
	if ( dtrEmployee.Read() ) {
		lblEmployee.Text = dtrEmployee[ "LastName" ].ToString();
		lblEmployee.Text += ", " + dtrEmployee[ "FirstName" ].ToString();
		lblPhone.Text = dtrEmployee["HomePhone"].ToString();
		lblAddress.Text = dtrEmployee[ "Address" ].ToString();
		lblCity.Text = dtrEmployee[ "City" ].ToString() + ", ";
		lblRegion.Text = dtrEmployee[ "Region" ].ToString();
		lblPostalCode.Text = dtrEmployee[ "PostalCode" ].ToString();
	}

	dtrEmployee.Close();
	conNorthwind.Close();
}
</Script>

<html>
<head><title>Details.aspx</title></head>
<body>
<form Runat="Server">

<h2>
<asp:Label
  ID="lblEmployee"
  Runat="Server"/>
</h2>

<p>

<b>Phone:</b>
<blockquote>
  <asp:Label
    ID="lblPhone"
    Runat="Server" />
</blockquote>

<b>Address:</b>
<blockquote>
  <asp:Label
    ID="lblAddress"
    Runat="Server" />
  <br>
  <asp:Label
    ID="lblCity"
    Runat="Server" />
  <asp:Label
    ID="lblRegion"
    Runat="Server" />
  &nbsp;&nbsp;
  <asp:Label
    ID="lblPostalCode"
    Runat="Server" />
</blockquote>

</form>
</body>
</html>
