<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdSelect;
	SqlDataReader dtrAuthors;

	// Retrieve records from database
	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
	conPubs.Open();
	dtrAuthors = cmdSelect.ExecuteReader();

	// Bind to Repeater
	rptAuthors.DataSource = dtrAuthors;
	rptAuthors.DataBind();

	dtrAuthors.Close();
	conPubs.Close();
}

</Script>

<html>
<head><title>RepeaterTable.aspx</title></head>
<body>
<form Runat="Server">

<asp:Repeater
  ID="rptAuthors"
  Runat="Server">

  <HeaderTemplate>
    <table border=1 cellpadding=4>
    <tr bgcolor="#eeeeee">
      <th>First Name</th>
      <th>Last Name</th>
      <th>Phone</th>
    </tr>
  </HeaderTemplate>

  <ItemTemplate>
    <tr>
      <td><%#DataBinder.Eval(Container.DataItem, "au_fname" ) %></td>
      <td><%#DataBinder.Eval(Container.DataItem, "au_lname" ) %></td>
      <td><%#DataBinder.Eval(Container.DataItem, "phone" ) %></td>
    </tr>
  </ItemTemplate>

  <AlternatingItemTemplate>
    <tr bgcolor="lightyellow">
      <td><%#DataBinder.Eval(Container.DataItem, "au_fname" ) %></td>
      <td><%#DataBinder.Eval(Container.DataItem, "au_lname" ) %></td>
      <td><%#DataBinder.Eval(Container.DataItem, "phone" ) %></td>
    </tr>
  </AlternatingItemTemplate>

  <FooterTemplate>
    </table>
  </FooterTemplate>

</asp:Repeater>

</form>
</body>
</html>
