<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
void Page_Load(Object sender , EventArgs e) 
{
	if (! IsPostBack ) {
		SqlConnection conPubs;
		SqlCommand cmdSelect;

		conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
		cmdSelect = new SqlCommand( "Select * From Titles", conPubs );
		conPubs.Open();
		dgrdTitles.DataSource = cmdSelect.ExecuteReader();
		dgrdTitles.DataBind();
		conPubs.Close();
	}
}

void dgrdTitles_ItemCommand( object s, DataGridCommandEventArgs e ) {
	if ( e.CommandName == "select" ) {
		e.Item.BackColor = System.Drawing.Color.LightGreen;
		e.Item.Font.Bold = true;
	} else {
		e.Item.BackColor = System.Drawing.Color.White;
		e.Item.Font.Bold = false;
	}
}

</Script>

<html>
<head><title>DataGridButtonColumn.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  OnItemCommand="dgrdTitles_ItemCommand"
  AutoGenerateColumns="False"
  CellPadding="10"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="Book Titles"
    DataField="Title" />

  <asp:ButtonColumn
    CommandName="select"
    Text="Select!" />

  <asp:ButtonColumn
    CommandName="unselect"
    Text="UnSelect!" />

</Columns>
</asp:DataGrid>

</form>
</body>
</html>
