<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>
void Page_Load(Object sender, EventArgs e)
{ 
	if (! IsPostBack )
	{
		BindDataGrid();
	}
}

void BindDataGrid() {
	SqlConnection conPubs;
	SqlDataAdapter dadTitles;
	DataSet dstTitles;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	dadTitles = new SqlDataAdapter( "Select * From Titles Order By Title", conPubs );
	dstTitles = new DataSet();
	dadTitles.Fill( dstTitles );

	dgrdTitles.DataSource = dstTitles;
	dgrdTitles.DataBind();
}

void dgrdTitles_PageIndexChanged( object s, DataGridPageChangedEventArgs e ) {
	dgrdTitles.CurrentPageIndex = e.NewPageIndex;
	BindDataGrid();
}

</Script>

<html>
<head><title>DataGridPaging.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  AllowPaging="True"
  PageSize="5"
  OnPageIndexChanged="dgrdTitles_PageIndexChanged"
  CellPadding="3"
  Runat="Server" />

</form>
</body>
</html>
