<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	if (! IsPostBack ) {
		SqlConnection conPubs;
		SqlCommand cmdSelect;
		SqlDataReader dtrTitles;

		conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
		cmdSelect = new SqlCommand( "Select Title From Titles", conPubs );
		conPubs.Open();
		dtrTitles = cmdSelect.ExecuteReader();

		dlstTitles.DataSource = dtrTitles;
		dlstTitles.DataBind();

		dtrTitles.Close();
		conPubs.Close();
	}
}

void DataList_ItemCommand( object s, DataListCommandEventArgs e ) {
	lblMessage.Text = "<li>Item Command!";
}

void DataList_EditCommand( object s, DataListCommandEventArgs e ) {
	lblMessage.Text += "<li>Editing Item!";
}

void DataList_DeleteCommand( object s, DataListCommandEventArgs e ) {
	lblMessage.Text = "<li>Deleting Item!";
}

void DataList_UpdateCommand( object s, DataListCommandEventArgs e ) {
	lblMessage.Text = "<li>Updating Item!";
}

</Script>

<html>
<head><title>DataListEvents.aspx</title></head>
<body>

<form Runat="Server">

<asp:Label
  ID="lblMessage"
  BackColor="yellow"
  Runat="Server" />
<p>
<asp:DataList
  ID="dlstTitles"
  OnItemCommand="DataList_ItemCommand"
  OnEditCommand="DataList_EditCommand"
  OnDeleteCommand="DataList_DeleteCommand"
  OnUpdateCommand="DataList_UpdateCommand"
  GridLines="Both"
  CellPadding="4"
  Runat="Server">

<ItemTemplate>
  <%#DataBinder.Eval(Container.DataItem, "Title" )%>
  <br>
  <asp:LinkButton
    Text="Edit!"
    CommandName="edit"
    Runat="Server"/>
  <asp:LinkButton
    Text="Delete!"
    CommandName="delete"
    Runat="Server"/>
  <asp:LinkButton
    Text="Update!"
    CommandName="update"
    Runat="Server"/>
</ItemTemplate>

</asp:DataList>

</form>
</body>
</html>
