<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
DataSet dstProducts;

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlDataAdapter dadProducts;

	// Grab Products Table
	dstProducts = new DataSet();
	conNorthwind = new SqlConnection( @"Server=localhost;Database=Northwind;Integrated Security=SSPI" );
	dadProducts = new SqlDataAdapter( "Select Top 10 * from Products", conNorthwind );
	dadProducts.Fill( dstProducts, "Products" );

	// Bind to DataGrid
	dgrdProducts.DataSource = dstProducts;
	DataBind();
}

string OrderTotal() {
	DataTable dtblProducts;
	int intSumTotal;

	dtblProducts = dstProducts.Tables[ "Products" ];
	intSumTotal = System.Convert.ToInt32(dtblProducts.Compute( "Sum( UnitPrice )", null ));
	return intSumTotal.ToString( "c" );
}
</Script>

<html>
<head><title>Compute.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />
<p>
<b>Order Total:</b>
<asp:Label
  Text='<%# OrderTotal() %>'
  Runat="Server" />

</body>
</html>
