<%@ Import Namespace="System.Data" %>

<Script Runat="Server">

Sub Page_Load
  Dim dtblPasswords As DataTable
  Dim dcolColumn As DataColumn
  Dim arrColumns( 1 ) As DataColumn
  Dim drowRow As DataRow
  Dim dvwPasswords As DataView
  Dim intCounter As Integer

  ' Create the DataTable
  dtblPasswords = New DataTable( "passwords" )
  dtblPasswords.MinimumCapacity = 200
  dtblPasswords.CaseSensitive = True

  ' Add the Password Column as a Primary Key
  dcolColumn = New DataColumn( "password", GetType( String ) )
  dtblPasswords.Columns.Add( dcolColumn )
  arrColumns( 0 ) = dcolColumn
  dtblPasswords.PrimaryKey = arrColumns

  ' Add some rows
  For intCounter = 1 to 100
    drowRow = dtblPasswords.NewRow()
    drowRow( "password" ) = "SECRET" & intCounter.ToString()
    dtblPasswords.Rows.Add( drowRow )
    drowRow = dtblPasswords.NewRow()
    drowRow( "password" ) = "secret" & intCounter.ToString()
    dtblPasswords.Rows.Add( drowRow )
  Next

  ' Bind DataTable to DataGrid
  dvwPasswords = dtblPasswords.DefaultView
  dvwPasswords.RowFilter = "password='secret1'"
  dgrdPasswords.DataSource = dvwPasswords
  dgrdPasswords.DataBind()
End Sub

</Script>

<html>
<head><title>DataTableProperties.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdPasswords"
  Runat="Server" />

</body>
</html>
