<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim dstProducts As DataSet
  Dim conNorthwind As SqlConnection
  Dim dadProducts As SqlDataAdapter
  Dim dtblProducts As DataTable
  Dim dcolPrimaryKey As DataColumn

  ' Initialize DataAdapter
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  dadProducts = New SqlDataAdapter( "Select * From Products", conNorthwind )

  ' Set Missing Schema Action Property
  dadProducts.MissingSchemaAction = MissingSchemaAction.AddWithKey

  ' Retrieve Products
  dstProducts = New DataSet()
  dadProducts.Fill( dstProducts, "Products" )
  dgrdProducts.DataSource = dstProducts
  dgrdProducts.DataBind()

  ' Display Primary Keys
  dtblProducts = dstProducts.Tables( "Products" )
  For each dcolPrimaryKey in dtblProducts.PrimaryKey
    lblPrimaryKeys.Text &= "<li>" & dcolPrimaryKey.ColumnName
  Next
End Sub
</Script>

<html>
<head><title>MissingSchemaAction.aspx</title></head>
<body>

<asp:DataGrid
  id="dgrdProducts"
  Runat="Server" />

<p>

<asp:Label
  ID="lblPrimaryKeys"
  Runat="Server" />

</body>
</html>
