<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	string  strSearch;
	SqlCommand cmdSearch;
	SqlDataReader dtrSearch;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	strSearch = "SELECT RANK, Title FROM Titles," 
		+ "CONTAINSTABLE( Titles, Title, @searchphrase ) searchTable " 
		+ "WHERE [KEY] = Titles.Title_ID " 
		+ "ORDER BY RANK DESC ";
	cmdSearch = new SqlCommand( strSearch, conPubs );
	cmdSearch.Parameters.Add( "@searchphrase", txtSearchPhrase.Text );
	conPubs.Open();
	dtrSearch = cmdSearch.ExecuteReader();
	lblResults.Text = "<table border=1 cellspacing=0 cellpadding=4>";
	while ( dtrSearch.Read())
	{
		lblResults.Text += "<tr>";
		lblResults.Text += "<td align=right>&nbsp;";
		lblResults.Text += ShowRank( (int)dtrSearch[ "RANK" ] );
		lblResults.Text += "</td>";
		lblResults.Text += "<td>" + dtrSearch["Title" ] + "</td>";
		lblResults.Text += "</tr>";
	}
	lblResults.Text += "</table>";
	conPubs.Close();
}

string  ShowRank( int intRank ) {
	string strRank = "<font color=green>";
	for (int i=0;i < (intRank/10);i++)
		strRank += "*";

	strRank += "</font>";
	return strRank;
}

</Script>

<html>
<head><title>ContainsTable.aspx</title></head>
<body>

<form Runat="Server">

<h2>Search Titles:</h2>
<asp:TextBox
  ID="txtSearchPhrase"
  Columns="50"
  Runat="Server" />
<asp:Button
  Text="Search!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:Label
  ID="lblResults"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>
