<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click( object s, EventArgs e ) {
	SqlConnection conMyData;
	string  strSearch;
	SqlCommand cmdSearch;
	SqlDataReader dtrSearch;

	conMyData = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=myData" );

	strSearch = "SELECT RANK, u_id, u_title FROM Uploads," 
		+ "FREETEXTTABLE( Uploads, *, @searchphrase ) searchTable " +    "WHERE [KEY] = uploads.u_ID " +    "ORDER BY RANK DESC ";
	cmdSearch = new SqlCommand( strSearch, conMyData );
	cmdSearch.Parameters.Add( "@searchphrase", txtSearchPhrase.Text );
	conMyData.Open();
	dtrSearch = cmdSearch.ExecuteReader();
	lblResults.Text = "<table border=1 cellspacing=0 cellpadding=4>";
	while ( dtrSearch.Read())
	{
		lblResults.Text += "<tr>";
		lblResults.Text += "<td align=right>";
		lblResults.Text += String.Format("{0}%", ((int)dtrSearch[ "RANK" ]) / 10);
		lblResults.Text += "</td>";
		lblResults.Text += "<td><a href=";
		lblResults.Text += String.Format( "ShowDBUpload.aspx?id={0}", dtrSearch[ "u_id" ] );
		lblResults.Text += ">" + dtrSearch[ "u_title" ];
		lblResults.Text += "</a></td>";
		lblResults.Text += "</tr>";
	}
	conMyData.Close();
	lblResults.Text += "</table>";

}

</Script>

<html>
<head><title>DBUploadSearch.aspx</title></head>
<body>

<form Runat="Server">

<h2>Search Uploads:</h2>
<asp:TextBox
  ID="txtSearchPhrase"
  Columns="50"
  Runat="Server" />
<asp:Button
  Text="Search!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:Label
  ID="lblResults"
  EnableViewState="False"
  Runat="Server" />

</form>
</body>
</html>
