<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	int intItemID;
	SqlConnection conMyData;
	string  strSelect;
	SqlCommand cmdSelect;
	SqlDataReader dtrSearch;

	intItemID = Convert.ToInt32(Request.Params["id"]);
	conMyData = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=myData" );
	strSelect = "SELECT u_documentType, u_document From Uploads " 
		+ "WHERE u_id=@itemID";
	cmdSelect = new SqlCommand( strSelect, conMyData );
	cmdSelect.Parameters.Add( "@itemID", intItemID );
	conMyData.Open();
	dtrSearch = cmdSelect.ExecuteReader();
	if ( dtrSearch.Read())
	{
		// set Content Type
		Response.ClearHeaders();
		switch ((string)dtrSearch["u_documentType"]) {
			case "doc":
				Response.ContentType = "application/msword";
				break;
			case "ppt":
				Response.ContentType = "application/ppt";
				break;
			case "txt":
				Response.ContentType = "text/plain";
				break;
		}
		Response.BinaryWrite( (byte[])dtrSearch["u_document"] );
	}
	dtrSearch.Close();
	conMyData.Close();
}
</Script>
