<%@ Language="c#" %>
<%@ Import Namespace="System.Data" %>

<script runat=server>

void Application_BeginRequest(Object sender , EventArgs e)
{
   DataTable dtblBadLinks;
   string  strThisUrl;
   string  strSelect;
   DataRow[] arrMatches;
   string  strGoodLink;

  dtblBadLinks = GetBadLinks();
  strThisUrl = Request.Path.ToLower();
  if ( Request.ApplicationPath != "/" )
  {
    strThisUrl = strThisUrl.Remove( 0, Request.ApplicationPath.Length );
  }
  strSelect = "badlink='" + strThisUrl + "'";
  arrMatches = dtblBadLinks.Select( strSelect, "badlink" );
  if ( arrMatches.Length > 0 ) 
  {
    strGoodLink = (string)arrMatches[ 0 ]["goodlink"];
    strGoodLink = Request.ApplicationPath + strGoodLink;
    Context.RewritePath( strGoodLink );
  }
}

DataTable GetBadLinks()
 {
   DataSet dstBadLinks;
   DataTable dtblBadLinks = (DataTable)(Context.Cache[ "badlinks" ]);

  dtblBadLinks = (DataTable)Context.Cache[ "badlinks" ];
  if ( dtblBadLinks == null ) {
    dstBadLinks = new DataSet();
    dstBadLinks.ReadXml( Server.MapPath( "badlinks.xml" ) );
    dtblBadLinks = dstBadLinks.Tables[0 ];
    Context.Cache.Insert( "badlinks", dtblBadLinks, new CacheDependency( Server.MapPath( "badlinks.xml" ) ) );
  }
  return dtblBadLinks;
}

</Script>       

