Imports System.Data
Imports System.Data.SqlClient
Imports System.Web

Public Class ProductsHandler
Implements IHttpHandler
  Public Sub ProcessRequest( objContext As HttpContext ) _
  Implements IHttpHandler.ProcessRequest
    Dim intProductID As Integer
    Dim conNorthwind As SqlConnection
    Dim strSelect As String
    Dim cmdSelect As SqlCommand
    Dim dtrProducts As SqlDataReader

    intProductID = GetProductID( objContext.Request.Path )
    conNorthwind = New SqlConnection( _
      "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
    strSelect = "Select ProductName, UnitPrice From Products" & _
      " Where ProductID=@ProductID"
    cmdSelect = New SqlCommand( strSelect, conNorthwind )
    cmdSelect.Parameters.Add( "@ProductID", intProductID )
    conNorthwind.Open()
    dtrProducts = cmdSelect.ExecuteReader( CommandBehavior.SingleRow )
    If dtrProducts.Read Then
      objContext.Response.Write( "<h2>Product Name:</h2>" )
      objContext.Response.Write( dtrProducts( "ProductName" ) )
      objContext.Response.Write( "<h2>Product Price:</h2>" )
      objContext.Response.Write( String.Format( _
        "{0:c}", _
        dtrProducts( "UnitPrice" ) ) )
    End If
    conNorthwind.Close()
  End Sub

  ReadOnly Property IsReusable() As Boolean _
  Implements IHttpHandler.IsReusable
    Get
      Return True
    End Get
  End Property

  Function GetProductID( strPath As String ) As Integer
    Dim intCounter As Integer
    Dim strNumbers As String

    For intCounter = 0 To strPath.Length - 1
      If Char.IsDigit( strPath.Chars( intCounter ) ) Then
        strNumbers &= strPath.Chars( intCounter )
      End If
    Next
    If Not strNumbers = Nothing Then
      Return cINT( strNumbers )
    Else
      Return -1
    End If
  End Function
End Class
