<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	MemoryStream objStream = (MemoryStream)Application[ "Stream" ];
	if ( objStream == null )
	{
		objStream = new MemoryStream();
		objStream.WriteByte( 255 );
	}
	objStream.WriteTo( objStream );
	Application[ "Stream" ] = objStream;

	lblMemory.Text = objStream.Length.ToString();
	lblProcessID.Text = ProcessModelInfo.GetCurrentProcessInfo().ProcessID.ToString();
}

</Script>
<html>
<head><title>ProcessModel.aspx</title></head>
<body>

Memory Consumed:
<asp:Label
  ID="lblMemory"
  Runat="Server" />
bytes
<p>
Process ID:
<asp:Label
  ID="lblProcessID"
  Runat="Server" />

</body>
</html>
