<%@ Page Language="C#" %>
<script language="C#" runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	FormsAuthenticationTicket objTicket;
	HttpCookie objCookie;
	string  strReturnURL;

	objTicket = new FormsAuthenticationTicket(1, txtUsername.Text, DateTime.Now, DateTime.Now.AddMinutes(30), false, txtUserdata.Text );
	objCookie = new HttpCookie( ".ASPXAUTH" );
	objCookie.Value = FormsAuthentication.Encrypt( objTicket );
	Response.Cookies.Add( objCookie );
	strReturnURL = Request.Params[ "ReturnURL" ];
	if ( strReturnURL != null ) {
		Response.Redirect( strReturnURL );
	} else {
		Response.Redirect( "Default.aspx" );
	}
}

</Script>

<html>
<head><title>Login.aspx</title></head>
<body>
<form Runat="Server">

<b>Username:</b>
<br>
<asp:TextBox
  ID="txtUsername"
  Runat="Server" />
<p>
<b>User Data:</b>
<br>
<asp:TextBox
  ID="txtUserdata"
  Runat="Server" />
<p>
<asp:button
  Text="Add Ticket!"
  OnClick="Button_Click"
  Runat="Server" />

</form>
</body>
</html>
