<Script Runat="Server">

Sub Page_Load( s As Object, e As EventArgs )
  Dim objPassportID As PassportIdentity

  objPassportID = User.Identity
  If objPassportID.GetFromNetworkServer Then
    Response.Redirect( Request.Path )
  End If
  plhPassport.Controls.Add( New LiteralControl( objPassportID.LogoTag2() ) )
  If objPassportID.IsAuthenticated Then
    pnlAuth.Visible = True
  Else
    pnlAnon.Visible = True
  End If
End Sub
</Script>

<html>
<head><title>News.aspx</title></head>
<body>

<asp:PlaceHolder
  ID="plhPassport"
  Runat="Server" />
<hr>

<asp:Panel
  ID="pnlAuth"
  Visible="False"
  Runat="Server">

  <h2>Customized News</h2>
  News customized only for you...

</asp:Panel>

<asp:Panel
  ID="pnlAnon"
  Visible="False"
  Runat="Server">

  <h2>Anonymous News</h2>
  News for anonymous users...

</asp:Panel>

</body>
</html>
