<%@ Page Language="C#" %>
<%@ Import Namespace="System.Security.Cryptography" %>

<Script Runat="Server">
byte[] Convert2ByteArray(string strInput) 
{
	int intCounter;
	char[] arrChar;
	
	arrChar = strInput.ToCharArray();
	byte[] arrByte = new byte[arrChar.Length];
	
	for (intCounter=0; intCounter <= arrByte.Length-1; intCounter++)
		arrByte[intCounter] = Convert.ToByte(arrChar[intCounter]);
		
	return arrByte;
}

void Button_Click(object sender, EventArgs e) 
{
	byte[] arrInput;
	DSACryptoServiceProvider objDSA;
	string strPublicKey;
	byte[] arrDigitalSignature;
	
	arrInput = Convert2ByteArray(txtInput.Text);
	objDSA = new DSACryptoServiceProvider();
	strPublicKey = objDSA.ToXmlString(false);	
	arrDigitalSignature = objDSA.SignData(arrInput);
	txtSignature.Text = BitConverter.ToString(arrDigitalSignature);
	txtPublicKey.Text = strPublicKey;
}
</Script>

<html>
<head><title>AsymmetricWrite.aspx</title></head>
<body>

<H2>Create Digital Signature</h2>

<form Runat="Server">

<asp:TextBox
  ID="txtInput"
  TextMode="Multiline"
  Columns="60"
  Rows="3"
  Runat="Server" />
<p>
<asp:Button
  Text="Create Signature!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
Digital Signature:
<br>
<asp:TextBox
  ID="txtSignature"
  TextMode="Multiline"
  Columns="60"
  Rows="4"
  Runat="Server" />
<p>
Public Key:
<br>
<asp:TextBox
  ID="txtPublicKey"
  TextMode="Multiline"
  Columns="60"
  Rows="10"
  Runat="Server" />

</form>
</body>
</html>
