<%@ WebService Class="ProductsService" %>

Imports System
Imports System.Web.Services
Imports System.Data
Imports System.Data.SqlClient

<WebService( Namespace:="http://yourdomain.com/webservices" )> _
Public Class ProductsService : Inherits WebService

<WebMethod()> Public Function GetProducts( CategoryName As String ) As DataSet
  Dim strSelect As String
  Dim conNorthwind As SQLConnection
  Dim dadNorthwind As SQLDataAdapter
  Dim dstProducts As DataSet

  strSelect = "SELECT ProductName, UnitPrice, UnitsInStock, CategoryName " & _
    "FROM Products, Categories WHERE Products.CategoryID = Categories.CategoryID " & _
    "AND CategoryName = @CategoryName"

  conNorthwind = New SQLConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  dadNorthwind = New SQLDataAdapter( strSelect, conNorthwind )
  dadNorthwind.SelectCommand.Parameters.Add( New SQLParameter( "@CategoryName", CategoryName ) )
  dstProducts = New DataSet
  dadNorthwind.Fill( dstProducts, "Products" )

  Return dstProducts
End Function

End Class       