<%@ WebService Class="TemperatureService" Language="c#" %>

using System;
using System.Web.Services;

[WebService( Namespace="http://yourdomain.com/webservices" )]
public class TemperatureService : System.Web.Services.WebService
{
	[WebMethod(Description="This method converts a temperature in " +
		"degrees Fahrenheit to a temperature in degrees Celsius.")]
	public double ToCelsius(double TF)
	{
		return ((TF - 32) * 5d) / 9d;
	} 

	[WebMethod(Description="This method converts a temperature in " +
		"degrees Celsius to a temperature in degrees Fahrenheit.")]
	public double ToFahrenheit(double TC)
	{
		return ((TC - 32) * 5d) / 9d;
	} 
}
