<%@ Page Language="C#" %>
<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	DateTime dtmDate;

	dtmDate = DateTime.Now;

	// short Date
	Response.Write( dtmDate.ToString( "d" ) );
	Response.Write("<br>" );
	// => Displays 2/13/2001

	// long Date
	Response.Write( dtmDate.ToString( "D" ) );
	Response.Write("<br>" );
	// => Displays Tuesday, February 13, 2001

	// long Date and short Time
	Response.Write( dtmDate.ToString( "f" ) );
	Response.Write("<br>" );
	// => Displays Tuesday, February 13, 2001 3:40 PM

	// long Date and long Time
	Response.Write( dtmDate.ToString( "F" ) );
	Response.Write("<br>" );
	// => Displays Tuesday, February 13, 2001 3:41:04 PM

	// short Date and short Time
	Response.Write( dtmDate.ToString( "g" ) );
	Response.Write("<br>" );
	// => Displays 2/13/2001 3:42 PM

	// short Date and long Time
	Response.Write( dtmDate.ToString( "G" ) );
	Response.Write("<br>" );
	// => Displays 2/13/2001 3:42:52 PM

	// Month and Day
	Response.Write( dtmDate.ToString( "M" ) );
	Response.Write("<br>" );
	// => Displays February 13

	// RFC 1123
	Response.Write( dtmDate.ToString( "R" ) );
	Response.Write("<br>" );
	// => Displays Tue, 13 Feb 2001 15:44:52 GMT

	// ISO 8601
	Response.Write( dtmDate.ToString( "s" ) );
	Response.Write("<br>" );
	// => Displays 2001-02-13T15:45:55

	// short Time
	Response.Write( dtmDate.ToString( "t" ) );
	Response.Write("<br>" );
	// => Displays 3:47 PM

	// long Time
	Response.Write( dtmDate.ToString( "T" ) );
	Response.Write("<br>" );
	// => Displays 3:47:37 PM

	// Universal ISO 8601
	Response.Write( dtmDate.ToString( "u" ) );
	Response.Write("<br>" );
	// => Displays 2001-02-13 15:48:41Z

	// Universal Time
	Response.Write( dtmDate.ToString( "U" ) );
	Response.Write("<br>" );
	// => Displays Tuesday, February 13, 2001 11:49:51 PM

	// Month and Year
	Response.Write( dtmDate.ToString( "Y" ) );
	Response.Write("<br>" );
	// => Displays February, 2001
}
</script>
