<%
Dim dtmDate As DateTime

dtmDate = DateTime.Now()

' Short Date
Response.Write( dtmDate.ToString( "d" ) )
' => Displays 2/13/2001

' Long Date
Response.Write( dtmDate.ToString( "D" ) )
' => Displays Tuesday, February 13, 2001

' Long Date and Short Time
Response.Write( dtmDate.ToString( "f" ) )
' => Displays Tuesday, February 13, 2001 3:40 PM

' Long Date and Long Time
Response.Write( dtmDate.ToString( "F" ) )
' => Displays Tuesday, February 13, 2001 3:41:04 PM

' Short Date and Short Time
Response.Write( dtmDate.ToString( "g" ) )
' => Displays 2/13/2001 3:42 PM

' Short Date and Long Time
Response.Write( dtmDate.ToString( "G" ) )
' => Displays 2/13/2001 3:42:52 PM

' Month and Day
Response.Write( dtmDate.ToString( "M" ) )
' => Displays February 13

' RFC 1123
Response.Write( dtmDate.ToString( "R" ) )
' => Displays Tue, 13 Feb 2001 15:44:52 GMT

' ISO 8601
Response.Write( dtmDate.ToString( "s" ) )
' => Displays 2001-02-13T15:45:55

' Short Time
Response.Write( dtmDate.ToString( "t" ) )
' => Displays 3:47 PM

' Long Time
Response.Write( dtmDate.ToString( "T" ) )
' => Displays 3:47:37 PM

' Universal ISO 8601
Response.Write( dtmDate.ToString( "u" ) )
' => Displays 2001-02-13 15:48:41Z

' Universal Time
Response.Write( dtmDate.ToString( "U" ) )
' => Displays Tuesday, February 13, 2001 11:49:51 PM

' Month and Year
Response.Write( dtmDate.ToString( "Y" ) )
' => Displays February, 2001
%>
