<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Serialization" %>

<Script runat="Server">

Public Class ShoppingCart
  Public Username As String
  Public CreditCardNumber As String
  Public CartItems() As CartItem
End Class

Public Class CartItem
  Public ProductName As String
  Public ProductPrice As Decimal
End Class

Sub Page_Load
  Dim objShoppingCart As ShoppingCart
  Dim objItem As CartItem
  Dim objStreamReader As StreamReader
  Dim objXMLSerializer As XMLSerializer

  ' Retrieve XML File
  objStreamReader = File.OpenText( MapPath( "ShoppingCart.xml" ) )
  objXMLSerializer = New XMLSerializer( GetType( ShoppingCart ) )
  objShoppingCart = CType( _
    objXMLSerializer.Deserialize( objStreamReader ), _
    ShoppingCart ) 
  objStreamReader.Close()

  ' Display Shopping Cart
  txtUsername.Text = objShoppingCart.Username
  txtCCnumber.Text = objShoppingCart.CreditCardNumber
  For Each objItem in objShoppingCart.CartItems
    lblCart.Text &= "<li>" & objItem.ProductName
    lblCart.Text &= "-" & objItem.ProductPrice.ToString( "c" )
  Next
End Sub

</Script>

<html>
<head><title>DeserializeXMLClass.aspx</title></head>
<body>
<form runat="Server">

Username:
<br><asp:Label 
  id="txtUsername" 
  runat="Server" />
<p>
Credit Card Number:
<br><asp:Label 
  id="txtCCnumber" 
  runat="Server" />
<p>
<asp:Label 
  id="lblCart" 
  Runat="Server" />

</form>
</body>
</html>
