<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Runtime.Serialization.Formatters.Binary" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim objUserInfo As UserInfo
  Dim objMemoryStream As MemoryStream
  Dim objBinaryFormatter As BinaryFormatter
  Dim conMyData As SqlConnection
  Dim cmdInsert As SqlCommand
  
  objUserInfo = New UserInfo
  objUserInfo.Username = txtUsername.Text
  objUserInfo.Password = txtPassword.Text
  objUserInfo.Email = txtEmail.Text

  objMemoryStream = New MemoryStream
  objBinaryFormatter = New BinaryFormatter
  objBinaryFormatter.Serialize( objMemoryStream, objUserInfo )

  conMyData = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=myData" )
  cmdInsert = New SqlCommand( _
    "Insert Userlist ( username, userinfo ) Values ( @username, @userinfo )", _
    conMyData )
  cmdInsert.Parameters.Add( "@username", txtUsername.Text )
  cmdInsert.Parameters.Add( "@userinfo", objMemoryStream.ToArray() )
  conMyData.Open()
    cmdInsert.ExecuteNonQuery()
  conMyData.Close()
End Sub
</Script>

<html>
<head><title>SerializeClass.aspx</title></head>
<body>
<form runat="Server">

Username:
<br><asp:TextBox 
  id="txtUsername" 
  runat="Server" />
<p>
Password:
<br><asp:TextBox 
  id="txtPassword" 
  runat="Server" />
<p>
Email:
<br><asp:TextBox 
  id="txtEmail" 
  runat="Server" />
<p>
<asp:Button 
  Text="Submit!" 
  OnClick="Button_Click" 
  runat="Server" />

</form>
</body>
</html>
