<%@ Page Language="C#" %>
<%@ Import Namespace="myComponents" %>
<%@ Import Namespace="System.Messaging" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
 MessageEnumerator enumMessages;
   MessageQueue mqMessages;
   Message mqMessage;
   ProductOrder objProduct;

  mqMessages = new MessageQueue( @".\ProductOrders" );
  enumMessages = mqMessages.GetMessageEnumerator();
  if ( enumMessages.MoveNext() )
  {
    mqMessage = (Message)enumMessages.Current;
    mqMessage.Formatter = new XmlMessageFormatter( new string[]{ "myComponents.ProductOrder,ProductOrder" } );
    objProduct = new ProductOrder();
    objProduct = (ProductOrder)mqMessage.Body;
    lblProductName.Text = objProduct.ProductName;
    lblUnitPrice.Text = objProduct.UnitPrice.ToString("c");
    lblQuantity.Text = objProduct.Quantity.ToString();
    lblEntryDate.Text = objProduct.EntryDate.ToString();
    enumMessages.RemoveCurrent();
  }
}

</Script>

<html>
<head><title>EnumerateProducts.aspx</title></head>
<body>
<form runat="Server">

<b>Product Name:</b>
<br>
<asp:Label
  id="lblProductName"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Unit Price</b>
<br>
<asp:Label
  id="lblUnitPrice"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Quantity</b>
<br>
<asp:Label
  id="lblQuantity"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Entry Date</b>
<br>
<asp:Label
  id="lblEntryDate"
  EnableViewState="False"
  Runat="Server" />
<p>
<asp:Button
  Text="Next Order"
  Runat="Server" />
  
</form>    
</body>
</html>