<%@ Page Language="C#" %>
<%@ Import Namespace="System.Messaging" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
  MessageEnumerator enumMessages;
   MessageQueue mqMessages;
   Message mqMessage;

  mqMessages = new MessageQueue( @".\myQueue" );
  enumMessages = mqMessages.GetMessageEnumerator();
  if ( enumMessages.MoveNext() )
   {
    mqMessage = (Message)enumMessages.Current;
    mqMessage.Formatter = new XmlMessageFormatter( new string[]{ "System.String" } );
    lblMessageLabel.Text = mqMessage.Label;
    lblMessageBody.Text = mqMessage.Body.ToString();
    enumMessages.RemoveCurrent();
  }
}

</Script>

<html>
<head><title>RemoveCurrent.aspx</title></head>
<body>
<form runat="Server">

<b>Message Label</b>
<br>
<asp:Label
  id="lblMessageLabel"
  EnableViewState="False"
  Runat="Server" />
<p>
<b>Message Body</b>
<br>
<asp:Label
  id="lblMessageBody"
  EnableViewState="False"
  Runat="Server" />
<p>
<asp:Button
  Text="Next Message"
  Runat="Server" />
  
</form>    
</body>
</html>