<%@ Import Namespace="System.Messaging" %>

<Script runat="Server">

Sub Page_Load
  Dim mqMessages As MessageQueue
  Dim enumMessages As MessageEnumerator
  Dim mqMessage As Message
  
  If Not MessageQueue.Exists( ".\myQueue" ) Then
    MessageQueue.Create( ".\myQueue" )
  End If

  mqMessages = New MessageQueue( ".\myQueue" )
  
  ' Send String Message
  mqMessages.Send( "This is a string", "Message 1" )  

  ' Send Decimal Message
  mqMessages.Send( 12.34, "Message 2" )  

  ' Read from Queue
  enumMessages = mqMessages.GetMessageEnumerator()
  While enumMessages.MoveNext
    mqMessage = CType( enumMessages.Current, Message )
    mqMessage.Formatter = New XmlMessageFormatter( New String(){ "System.String", "System.Double" } )
    lblMessages.Text &= "<li>" & mqMessage.Label
    lblMessages.Text &= "<br>" & mqMessage.Body
  End While
End Sub

</Script>

<html>
<head><title>TargetTypes.aspx</title></head>
<body>

<asp:Label
  id="lblMessages"
  Runat="Server" />
  
</body>
</html>
