<%@ Page ContentType="image/gif" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>

<Script Runat="Server">

Sub Page_Load
  Dim objBitmap As Bitmap
  Dim objGraphics As Graphics
  Dim decMaxData As Decimal
  Dim strBackColor As String 
  Dim strForeColor As String
  Dim objBackColor As Color 
  Dim objForeColor As Color
  Dim decMultiplier As Decimal
  Dim intWidth As Integer
  Dim intHeight As Integer
  Dim arrChartData() As String
  Dim intDataIndex As Integer
  Dim intDataItem As Integer
  Dim objBrush As SolidBrush

  ' Calculate Multiplier
  decMaxData = Request.QueryString( "x" )
  decMultiplier = 100 / decMaxData

  ' Retrieve Colors
  strBackColor = Request.QueryString( "backcolor" )
  strForeColor = Request.QueryString( "forecolor" )
  objBackColor = ColorTranslator.FromHTML( strBackColor )
  objForeColor = ColorTranslator.FromHTML( strForeColor )
  objBrush = New SolidBrush( objForeColor )

  ' Build Bar Chart
  arrChartData = Request.QueryString.GetValues( "d" )
  intWidth = ( arrChartData.Length * 15 ) + 10
  intHeight = ( decMaxData * decMultiplier ) + 5
  If Not arrChartData Is Nothing Then
    objBitmap = New Bitmap( intWidth, intHeight )
    objGraphics = Graphics.FromImage( objBitmap )
    objGraphics.Clear( objBackColor )
    For intDataIndex = 0 To arrChartData.Length - 1
      intDataItem = arrChartData( intDataIndex ) * decMultiplier
      objGraphics.FillRectangle( _
        objBrush, _
        ( intDataIndex * 15 ) + 5, _
        intHeight - intDataItem, _
        10, _
        intHeight )
    Next
    objBitmap.Save( Response.OutputStream, ImageFormat.GIF )
  End If
End Sub

</Script>
