<%@ Page ContentType="image/gif" %>
<%@ Import namespace="System.Drawing" %>
<%@ Import namespace="System.Drawing.Imaging" %>
<%@ Import namespace="System.Drawing.Drawing2D" %>

<Script Runat="Server">

Sub Page_Load
  Dim objBitmap As Bitmap
  Dim objGraphics As Graphics
  Dim objPen As Pen

  ' Create Bitmap
  objBitmap = New Bitmap( 400, 200 )

  ' Create Graphics
  objGraphics = Graphics.FromImage( objBitmap )

  ' Create Custom Pen
  objPen = New Pen( Color.White )
  objPen.Width = 6

  ' Draw ArrowAnchor Cap
  objPen.EndCap = LineCap.ArrowAnchor
  objGraphics.DrawLine( objPen, 10, 20, 350, 20 )

  ' Draw DiamondAnchor Cap
  objPen.EndCap = LineCap.DiamondAnchor
  objGraphics.DrawLine( objPen, 10, 40, 350, 40 )

  ' Draw Flat Cap
  objPen.EndCap = LineCap.Flat
  objGraphics.DrawLine( objPen, 10, 60, 350, 60 )

  ' Draw Round Cap
  objPen.EndCap = LineCap.Round
  objGraphics.DrawLine( objPen, 10, 80, 350, 80 )

  ' Draw RoundAnchor Cap
  objPen.EndCap = LineCap.RoundAnchor
  objGraphics.DrawLine( objPen, 10, 100, 350, 100 )

  ' Draw Square Cap
  objPen.EndCap = LineCap.Square
  objGraphics.DrawLine( objPen, 10, 120, 350, 120 )

  ' Draw SquareAnchorCap
  objPen.EndCap = LineCap.SquareAnchor
  objGraphics.DrawLine( objPen, 10, 140, 350, 140 )

  ' Draw TriangleCap
  objPen.EndCap = LineCap.Triangle
  objGraphics.DrawLine( objPen, 10, 160, 350, 160 )

  ' Display Bitmap
  objBitmap.Save( Response.OutputStream, ImageFormat.Gif )
End Sub

</Script>
