Imports System
Imports System.Web
Imports System.Web.UI

Namespace myControls

Public Class ShowColorAccessor: Inherits Control

Private _text As String
Private _color As String

Public Property Text As String
Get
  Return _text
End Get
Set
  If Value <> "Hello World!" Then
    Throw New ArgumentException( "You didn't enter Hello World!" )
  Else
    _text = Value
  End If
End Set
End Property


Public Property Color As String
Get
  Return _color
End Get
Set
  _color = Value
End Set
End Property

Protected Overrides Sub Render( objTextWriter As HtmlTextWriter )
  objTextWriter.AddAttribute( "Color", _color )
  objTextWriter.RenderBeginTag( "Font" )
  objTextWriter.Write( _Text )
  objTextWriter.RenderEndTag()
End Sub

End Class

End Namespace
