using System;
using System.Web;
using System.Web.UI;

namespace myControls {

	public class TemplateNumbersItem : Control, INamingContainer {

		private int _dataItem;

		public TemplateNumbersItem(int DataItem) {
			_dataItem = DataItem;
		}

		public int DataItem  {
			get {
				return _dataItem;
			}
			set {
				_dataItem = value;
			}
		}
	}



	[ParseChildren(true)]
	public class TemplateNumbers : Control, INamingContainer {
		private ITemplate _numberTemplate;

		[TemplateContainer(typeof(TemplateNumbersItem))]
		public ITemplate NumberTemplate {
			get {
				return _numberTemplate;
			}
			set {
				_numberTemplate = value;
			}
		}

		public override void DataBind() {
			EnsureChildControls();
			base.DataBind();
		}

		protected override void CreateChildControls() {
    			TemplateNumbersItem objTemplateNumbersItem;
			Controls.Clear();
			for (int i=0;i<=10;i++) {
				objTemplateNumbersItem = new TemplateNumbersItem( i );
				NumberTemplate.InstantiateIn( objTemplateNumbersItem );
				Controls.Add( objTemplateNumbersItem );
			}
		}
	}
}
