<Script Language="C#" Runat="Server">

public bool IsAuthenticated;

public bool IsPageOwner( string strPageOwner ) {
  if (IsAuthenticated && Page.User.Identity.Name.ToLower() == strPageOwner.ToLower())
      return true;
  else
	  return false;
}

void Page_Load(object sender, EventArgs e) {
	string strUsername;
		
	lnkLogin.NavigateUrl = 
		String.Format( 
		"~/site/password/login.aspx?ReturnURL={0}", 
		Server.UrlEncode( Request.RawUrl ) 
		);
	if (Page.User.Identity.IsAuthenticated) {
		IsAuthenticated = true;
		pnlUser.Visible = true;
		pnlAnon.Visible = false;
		strUsername = Page.User.Identity.Name;
		lnkUser.NavigateUrl = String.Format( "~/{0}.aspx", strUsername );
		lnkUser.Text = String.Format( "{0}'s home page", strUsername );
	} else {
		IsAuthenticated = false;
		pnlUser.Visible = false;
		pnlAnon.Visible = true;
	}
}

void DoLogout( object sender, EventArgs e ) {
	IsAuthenticated = false;
	FormsAuthentication.SignOut();
	pnlUser.Visible = false;
	pnlAnon.Visible = true;
}

</Script>

<asp:Panel
  ID="pnlUser"
  Align="right"
  Runat="Server">
  <asp:HyperLink
    ID="lnkUser"
    Runat="Server" />
  &nbsp;
  <a href="<%=ResolveUrl("~/site/password/listjob.aspx")%>">list job</a>
  &nbsp;
  <asp:LinkButton
    Text="logout"
    OnClick="DoLogout"
    Runat="Server" />
</asp:Panel>

<asp:Panel
  ID="pnlAnon"
  Align="right"
  Runat="Server">
  <asp:HyperLink
    ID="lnkLogin"
    Text="Login"
    Runat="Server" />
  &nbsp;
  <a href="<%=ResolveUrl("~/site/password/listjob.aspx")%>">List Job</a>
  &nbsp;
  <a href="<%=ResolveUrl("~/site/password/listresume.aspx")%>">List Resume</a>
</asp:Panel>