<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim strUsername As String
  Dim conJobs As SqlConnection
  Dim strConString As String
  Dim cmdInsert As SqlCommand

  ' Get Username
  strUsername = User.Identity.Name

  ' Add Job to Database
  If IsValid Then
  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdInsert = New SqlCommand( "addJob", conJobs )
  cmdInsert.CommandType = CommandType.StoredProcedure
  cmdInsert.Parameters.Add( "@username", strUsername )
  cmdInsert.Parameters.Add( "@briefdesc", txtJobBriefdesc.Text )
  cmdInsert.Parameters.Add( "@fulldesc", txtJobfulldesc.Text )
  conJobs.Open()
    cmdInsert.ExecuteNonQuery()
  conJobs.Close
  End If

  ' Clear New Jobs From Cache
  Cache.Remove( "NewJobs" )
  ' Return to User Home
  Response.Redirect( _
    String.Format( "/aspnetjobs/{0}.aspx", strUsername ) )
End Sub

</Script>

<myControls:Header
  PageTitle="List Job"
  Runat="Server" />

<form runat="Server">
<myControls:UserLinks
  Runat="Server" />

<b>Job Brief Description</b>
<br>
<asp:TextBox
  id="txtJobBriefdesc"
  Columns="50"
  Maxlength="50"
  CssClass="formfield"
  Runat="Server"/>
<p>
<b>Job Full Description</b>
<br>
(The Full Description can contain HTML Formatting)
<br>
<asp:TextBox
  id="txtJobfulldesc"
  TextMode="Multiline"
  Columns="80"
  Rows="10"
  Maxlength="50"
  CssClass="formfield"
  Runat="Server"/>
<p>
<asp:Button
  Text="Add Job!"
  OnClick="Button_Click"
  Runat="Server" />
</form>
<myControls:Footer
  Runat="Server" />