<!-- #INCLUDE Virtual="/aspnetjobs/site/includes/header.aspx" -->

<Script runat="Server">

Sub Page_Load
  Dim strReturnUrl As String

  If Not IsPostBack Then
    strReturnUrl = Request.QueryString( "ReturnUrl" )
    lnkRegister.NavigateUrl = _
      String.Format( _
        "/aspnetjobs/site/register.aspx?ReturnUrl={0}", _
        Server.URLEncode( strReturnUrl ) )
  End If
End Sub

Sub Button_Click( s As Object, e As EventArgs )
  If isValid Then
  Select Case VerifyPassword( txtUsername.Text, txtPassword.Text )
  Case 0
    FormsAuthentication.RedirectFromLoginPage( txtUsername.Text, chkPersist.Checked )
  Case 1
    lblError.Text = "You did not enter a registered username"
  Case 2
    lblError.Text = "You did not enter a valid password"
  End Select
  End If
End Sub

Function VerifyPassword( strUsername, strPassword ) As Integer
  Dim strConString As String
  Dim conJobs As SqlConnection
  Dim cmdVerify As SqlCommand
  Dim parmReturn As SqlParameter

  strConString = ConfigurationSettings.AppSettings( "constring" )
  conJobs = New SqlConnection( strConString )
  cmdVerify = New SqlCommand( "VerifyPassword", conJobs )
  cmdVerify.CommandType = CommandType.StoredProcedure
  parmReturn = cmdVerify.Parameters.Add( "@return", SqlDbType.Int )
  parmReturn.Direction = ParameterDirection.ReturnValue
  cmdVerify.Parameters.Add( "@username", strUsername )
  cmdVerify.Parameters.Add( "@password", strPassword )
  conJobs.Open()
    cmdVerify.ExecuteNonQuery()
  conJobs.Close()
  Return cmdVerify.Parameters( "@return" ).Value
End Function  

</Script>

<myControls:Header
  pageTitle="Please Login"
  Runat="Server" />
<form runat="Server">

<table cellpadding="10" cellspacing="15"
  border="0">
<tr><td>
<h3>Login</h3>
<asp:Label
  ID="lblError"
  EnableViewState="False"
  forecolor="red"
  font-bold="True"
  runat="Server" />
<p>
<b>Username:</b>
<br>
<asp:TextBox
  ID="txtUsername"
  CssClass="formfield"
  runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtUsername"
  Text="Required!"
  runat="Server" />
<p>
<b>Password:</b>
<br>
<asp:TextBox
  ID="txtPassword"
  TextMode="password"
  CssClass="formfield"
  runat="Server" />
<asp:RequiredFieldValidator
  ControlToValidate="txtPassword"
  Text="Required!"
  runat="Server" />
<p>
<asp:Button
  Text="Login!"
  OnClick="Button_Click"
  runat="Server" />
<p>
<asp:CheckBox
  ID="chkPersist"
  Checked="True" 
  runat="Server" />
Automatically remember me

</td><td valign="top">

<h3>Register</h3>
Are you a new user?
<p>
<asp:HyperLink
  ID="lnkRegister"
  Text="Click here to register!"
  runat="Server" />
<p>
It's free and it only takes a minute.
</td></tr>
</table>
</form>
<myControls:Footer
  runat="Server"/>