<Script Runat="Server">

Public IsAuthenticated As Boolean

Public Function IsPageOwner( strPageOwner As String ) As Boolean
  If IsAuthenticated _
    And Page.User.Identity.Name.ToLower = strPageOwner.ToLower Then
      Return True
  Else
    Return False
  End If
End Function

Sub Page_Load
  Dim strUsername As String

  lnkLogin.NavigateUrl = _
    String.Format( _
      "/aspnetjobs/site/password/login.aspx?ReturnURL={0}", _
      Server.UrlEncode( Request.RawUrl ) )
  If Page.User.Identity.IsAuthenticated Then
    IsAuthenticated = True
    pnlUser.Visible = True
    pnlAnon.Visible = False
    strUsername = Page.user.Identity.Name
    lnkUser.NavigateUrl = _
      String.Format( "/aspnetjobs/{0}.aspx", strUsername )
    lnkUser.Text = _
      String.Format( "{0}'s home page", strUsername )
  Else
    IsAuthenticated = False
    pnlUser.Visible = False
    pnlAnon.Visible = True
  End If
End Sub

Sub DoLogout( s As Object, e As EventArgs )
  IsAuthenticated = False
  FormsAuthentication.Signout
    pnlUser.Visible = False
    pnlAnon.Visible = True
End Sub

</Script>

<asp:Panel
  ID="pnlUser"
  Align="right"
  Runat="Server">
  <asp:HyperLink
    ID="lnkUser"
    Runat="Server" />
  &nbsp;
  <a href="/aspnetjobs/site/password/listjob.aspx">list job</a>
  &nbsp;
  <asp:LinkButton
    Text="logout"
    OnClick="DoLogout"
    Runat="Server" />
</asp:Panel>

<asp:Panel
  ID="pnlAnon"
  Align="right"
  Runat="Server">
  <asp:HyperLink
    ID="lnkLogin"
    Text="Login"
    Runat="Server" />
  &nbsp;
  <a href="/aspnetjobs/site/password/listjob.aspx">List Job</a>
  &nbsp;
  <a href="/aspnetjobs/site/password/listresume.aspx">List Resume</a>
</asp:Panel>