<%@ Import Namespace="StoreComponents" %>
<%@ Import Namespace="System.Data" %>

<Script Language="C#" runat="Server">

void Application_BeginRequest(object s, EventArgs e) {
	int intCategory = -1;
	int intProductID = -1;
	DataRowView objProductInfo;
	
  // Get current category index
  if (Request.QueryString["cat"] != null && Request.QueryString["cat"].Length > 0) {
    intCategory = Int32.Parse(Request.QueryString["cat"]);
  }

  // Store Category in Context
  Context.Items["Category"] = intCategory  ;

  // Get current product ID
  if (Request.QueryString["pid"] != null && Request.QueryString["pid"].Length > 0) {
    intProductID = Int32.Parse(Request.QueryString["pid"]);
    objProductInfo = CachedData.GetProductRow( intProductID );
    Context.Items["ProductInfo"] = objProductInfo;
    Context.Items["ProductName"] = objProductInfo["ProductName"];
    Context.Items["UnitPrice"] = objProductInfo["UnitPrice"];
  }

  // Store ProductID in Context
  Context.Items["ProductID"] = intProductID  ;
}

</Script>