<%@ Import Namespace="StoreComponents" %>
<%@ Import Namespace="System.Data" %>

<Script Language="C#"  runat="Server">
void Page_Load(object sender, EventArgs e) {
	int intTabIndex;

    intTabIndex = (int)Context.Items["Category"];
    dlstTabs.SelectedIndex = intTabIndex;
    dlstTabs.DataSource = CachedData.GetCategories();
    dlstTabs.DataBind();
}
</Script>

<asp:DataList
  id="dlstTabs"
  RepeatColumns="10"
  GridLines="Both"
  BorderColor="Black"
  BorderWidth="1"
  CellPadding="6"
  ItemStyle-CssClass="TabDefault"
  SelectedItemStyle-CssClass="TabSelected"
  Runat="Server">
  <ItemTemplate>
    <%# String.Format( 
       "<a href=" + ResolveUrl("~/Category.aspx") + "?cat={0}>{1}</a>", 
       Container.ItemIndex, 
       ((DataRowView)Container.DataItem)["CategoryName"] ) %>
  </ItemTemplate>
</asp:DataList>

