<%@ Import Namespace="StoreComponents" %>
<%@ Import Namespace="System.Data" %>

<Script runat="Server">

Sub Application_BeginRequest( s As Object, e As EventArgs )
  Dim intCategory As Integer = -1
  Dim intProductID As Integer = -1
  Dim objProductInfo As DataRowView

  ' Get current category index
  If Request.QueryString( "cat" ) <> "" Then
    intCategory = Request.QueryString( "cat" )
  End If 

  ' Store Category in Context
  Context.Items( "Category" ) = intCategory  

  ' Get current product ID
  If Request.QueryString( "pid" ) <> "" Then
    intProductID = Request.QueryString( "pid" )
    objProductInfo = CachedData.GetProductRow( intProductID )
    Context.Items( "ProductInfo" ) = objProductInfo
    Context.Items( "ProductName" ) = objProductInfo( "ProductName" )
    Context.Items( "UnitPrice" ) = objProductInfo( "UnitPrice" )
  End If 

  ' Store ProductID in Context
  Context.Items( "ProductID" ) = intProductID  
End Sub

</Script>