<Script runat="Server">

Public Validate As Boolean = True

Public Property Street As String
  Get
    Return txtStreet.Text
  End Get
  Set
    txtStreet.Text = Value
  End Set
End Property

Public Property City As String
  Get
    Return txtCity.Text
  End Get
  Set
    txtCity.Text = Value
  End Set
End Property

Public Property State As String
  Get
    Return txtState.Text
  End Get
  Set
    txtState.Text = Value
  End Set
End Property

Public Property ZIP As String
  Get
    Return txtZIP.Text
  End Get
  Set
    txtzIP.Text = Value
  End Set
End Property

Sub Page_load
  If Not Validate Then
    valrStreet.Enabled = False
    valrCity.Enabled = False
    valrState.Enabled = False
    valrZIP.Enabled = False
  Else
    valrStreet.Enabled = True
    valrCity.Enabled = True
    valrState.Enabled = True
    valrZIP.Enabled = True
  End If
End Sub
</Script>

<table cellpadding="5" width="500">
<tr>
  <td colspan="3" valign="top">
  Street Address
  <asp:RequiredFieldValidator
    id="valrStreet"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtStreet"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtStreet"
    Columns="40"
    MaxLength="50"
    Runat="Server" />
  </td>
</tr>
<tr>
  <td valign="top"> 
  City
  <asp:RequiredFieldValidator
    id="valrCity"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtCity"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtCity"
    Columns="10"
    MaxLength="50"
    Runat="Server" />
  </td>
  <td valign="top">
  State/Province
  <asp:RequiredFieldValidator
    id="valrState"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtState"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtState"
    Columns="2"
    Maxlength="2"
    Runat="Server" />
  </td>
  <td valign="top">
  ZIP/Postal Code
  <asp:RequiredFieldValidator
    id="valrZIP"
    EnableClientScript="False"
    Text="(required)"
    ControlToValidate="txtZIP"
    Runat="Server" />
  <br>
  <asp:TextBox
    id="txtZIP"
    Columns="10"
    Maxlength="15"
    Runat="Server" />
  </td>
</tr>
</table>