<%@ Import Namespace="StoreComponents" %>

<Script runat="Server">
  Sub Page_Load
    Dim intTabIndex

    intTabIndex = Context.Items( "Category" )
    dlstTabs.SelectedIndex = intTabIndex
    dlstTabs.DataSource = CachedData.GetCategories()
    dlstTabs.DataBind()
  End Sub
</Script>

<asp:DataList
  id="dlstTabs"
  RepeatColumns="10"
  GridLines="Both"
  BorderColor="Black"
  BorderWidth="1"
  CellPadding="6"
  ItemStyle-CssClass="TabDefault"
  SelectedItemStyle-CssClass="TabSelected"
  Runat="Server">
  <ItemTemplate>
    <%# String.Format( _
       "<a href=""/aspnetstore/Category.aspx?cat={0}"">{1}</a>", _
       Container.ItemIndex, _
       Container.DataItem( "CategoryName" ) ) %>
  </ItemTemplate>
</asp:DataList>

