<%@ Page Language="C#"%>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	 valgMeetingDate.MinimumValue = DateTime.Now.ToString("MM/dd/yyyy");
	 valgMeetingDate.MaximumValue = DateTime.Now.AddMonths(3).ToString("MM/dd/yyyy");
}

void Button_Click( object s, EventArgs e ) {
  if ( IsValid ) {
    Response.Redirect( "ThankYou.aspx" );
  }
}

</Script>

<html>
<head><title>RangeValidator.aspx</title></head>
<body>

<form Runat="Server">

Choose a meeting date in the next three months:
<br>
<asp:TextBox
  id="txtMeetingDate"
  Columns="10"
  Runat="Server"/>

<asp:RangeValidator
  ID="valgMeetingDate"
  ControlToValidate="txtMeetingDate"
  Display="Dynamic"
  Text="Date must be in the next 3 months!"
  Type="Date"
  Runat="Server" />

<p>

<asp:Button
  Text="Submit"
  OnClick="Button_Click"
  Runat="Server"/>

</form>
</body>
</html>
