<Script Runat="Server">

Sub Page_Load
  valgMeetingDate.MinimumValue = Now.Date
  valgMeetingDate.MaximumValue = Now.Date.AddMonths( 3 )
End Sub

Sub Button_Click( s As Object, e As EventArgs )
  If IsValid Then
    Response.Redirect( "ThankYou.aspx" )
  End If
End Sub

</Script>

<html>
<head><title>RangeValidator.aspx</title></head>
<body>

<form Runat="Server">

Choose a meeting date in the next three months:
<br>
<asp:TextBox
  id="txtMeetingDate"
  Columns="10"
  Runat="Server"/>

<asp:RangeValidator
  ID="valgMeetingDate"
  ControlToValidate="txtMeetingDate"
  Display="Dynamic"
  Text="Date must be in the next 3 months!"
  Type="Date"
  Runat="Server" />

<p>

<asp:Button
  Text="Submit"
  OnClick="Button_Click"
  Runat="Server"/>

</form>
</body>
</html>
