<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" Language="C#" %>

<script language="C#" runat=server>
public class Movie
{
string _movieTitle;
string _movieCat;
string _ticketPrice;

 public string MovieTitle 
 {
  get {
    return _movieTitle;
  }
 }

 public string MovieCat 
 {
  get
  {
    return _movieCat;
  }
 }

 public string TicketPrice 
 {
  get 
  {
    return _ticketPrice;
  }
 }

 public Movie( string  movieTitle, string  movieCat, string  ticketPrice )
 {
    _movieTitle = movieTitle;
    _movieCat = movieCat;
    _ticketPrice = ticketPrice;
  }
}


void Page_Load (Object sender , EventArgs e)
{
  ArrayList  colArrayList = new ArrayList();

  if (!Page.IsPostBack)
  {
    colArrayList.Add( new Movie( "Star Wars", "SciFi", "$7.98" ) );
    colArrayList.Add( new Movie( "Citizen Kane", "Drama", "$4.00" ) );
  
    lstMovies.DataSource = colArrayList;
    lstMovies.DataBind();
  }
}  

void ObjectList_ItemCommand( object s, ObjectListCommandEventArgs e ) {
  ActiveForm = frmSelectMovie;
}
</Script>

<Mobile:Form id="frmDisplayMovies" runat="Server">

<Mobile:ObjectList
  id="lstMovies"
  AutoGenerateFields="False"
  LabelField="MovieTitle"
  OnItemCommand="ObjectList_ItemCommand"
  Runat="Server">
<Field DataField="MovieTitle" Title="Movie" />
<Field DataField="MovieCat" Title="Category" />
<Field DataField="TicketPrice" Title="Price" />
</Mobile:ObjectList>

</Mobile:Form>

<Mobile:Form id="frmSelectMovie" runat="Server">

<b>Movie Selected!</b>

</Mobile:Form>
