<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Button_Click(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	string  strUpdate;
	SqlCommand cmdUpdate;
	int intUpdateCount;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;database=Pubs" );
	strUpdate = "Update Authors set phone=@phone Where au_fname=@firstname and au_lname=@lastname";
	cmdUpdate = new SqlCommand( strUpdate, conPubs );
	cmdUpdate.Parameters.Add( "@phone", txtPhone.Text );
	cmdUpdate.Parameters.Add( "@firstname", txtFirstName.Text );
	cmdUpdate.Parameters.Add( "@lastname", txtLastName.Text );
	conPubs.Open();
	intUpdateCount = cmdUpdate.ExecuteNonQuery();
	conPubs.Close();
	lblResults.Text = intUpdateCount + " records updated!";
}
</Script>

<html>
<head><title>SqlFormUpdate.aspx</title></head>
<body>
<form Runat="Server">

<h2>Update Phone Number</h2>

<b>First Name:</b>
<br>
<asp:TextBox
  ID="txtFirstName"
  Runat="Server" />
<p>
<b>Last Name:</b>
<br>
<asp:TextBox
  ID="txtLastName"
  Runat="Server" />
<p>
<b>New Phone:</b>
<br>
<asp:TextBox
  ID="txtPhone"
  Runat="Server" />
<p>
<asp:Button
  Text="Update Phone Number!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
<asp:Label
  ID="lblResults"
  Runat="Server" />

</form>
</body>
</html>
