<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlTransaction objTransaction;
	SqlConnection conBank;
	string  strUpdateAccountA;
	string  strUpdateAccountB;
	SqlCommand cmdUpdateAccountA;
	SqlCommand cmdUpdateAccountB;

	// Initialize objects
	conBank = new SqlConnection( "Server=localhost;Integrated Security=SSPI;database=Bank" );

	strUpdateAccountA = "Update AccountA set { Balance = Balance - 999.99 WHERE Customer=//Smith//";
	cmdUpdateAccountA = new SqlCommand( strUpdateAccountA, conBank );

	strUpdateAccountB = "Update AccountB set { Balance = Balance + 999.99 WHERE Customer=//Smith//";
	cmdUpdateAccountB = new SqlCommand( strUpdateAccountB, conBank );

	// Open connection
	conBank.Open();

	// Retrieve transaction from connection
	objTransaction = conBank.BeginTransaction();

	// Assign Transaction to commands
	cmdUpdateAccountA.Transaction = objTransaction;
	cmdUpdateAccountB.Transaction = objTransaction;

	// try { executing both commands
	try {
		cmdUpdateAccountA.ExecuteNonQuery();
		cmdUpdateAccountB.ExecuteNonQuery();

		// Commit the transaction
		objTransaction.Commit();
		Response.Write( "Transaction Successful!" );
	} 
	catch (Exception eX)
	{
		objTransaction.Rollback();
		Response.Write( "Transaction Failed!" );
	} 
	finally
	{
		conBank.Close();
	}
}
</script>
