<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdSelect;
	SqlDataReader dtrAuthors;

	// Retrieve records from database
	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
	conPubs.Open();
	dtrAuthors = cmdSelect.ExecuteReader();

	// Bind to Repeater
	rptAuthors.DataSource = dtrAuthors;
	rptAuthors.DataBind();

	dtrAuthors.Close();
	conPubs.Close();
}


void Repeater_ItemDataBound(Object sender, RepeaterItemEventArgs e)
{
	if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
	{
		Label lblAuthor = (Label)e.Item.FindControl("lblAuthor");
		lblAuthor.Text = (string)DataBinder.Eval( e.Item.DataItem, "au_lname" );
	}
}

</Script>

<html>
<head><title>Repeater.aspx</title></head>
<body>
<form Runat="Server">

<asp:Repeater
  ID="rptAuthors"
  OnItemDataBound="Repeater_ItemDataBound"
  Runat="Server">

  <ItemTemplate>
    <asp:Label id="lblAuthor" Runat="Server" />
  </ItemTemplate>

</asp:Repeater>

</form>
</body>
</html>
