<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	if (! IsPostBack ) {
		SqlConnection conNorthwind;
		SqlCommand cmdSelect;
		SqlDataReader dtrCategories;

		conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Northwind" );
		cmdSelect = new SqlCommand( "Select CategoryName From Categories", conNorthwind );
		conNorthwind.Open();
		dtrCategories = cmdSelect.ExecuteReader();

		rptCategories.DataSource = dtrCategories;
		rptCategories.DataBind();

		dtrCategories.Close();
		conNorthwind.Close();
	}
}

void Button_Click( object s, RepeaterCommandEventArgs e )
{
	LinkButton lbtnSelected = ((LinkButton)e.CommandSource);
	lblCategory.Text = "You selected " + lbtnSelected.Text;
}
</Script>

<html>
<head><title>LinkButtonList.aspx</title></head>
<body>
<form Runat="Server">

<asp:Repeater
  ID="rptCategories"
  OnItemCommand="Button_Click"
  Runat="Server">

<ItemTemplate>
  <li>
  <asp:LinkButton
  Text='<%#DataBinder.Eval(Container.DataItem,"CategoryName")%>'
   Runat="Server" />
</ItemTemplate>

</asp:Repeater>

<p>
<asp:Label
  ID="lblCategory"
  Runat="Server" />

</form>
</body>
</html>
