<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdSelect;
	SqlDataReader dtrAuthors;

	// Retrieve records from database
	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI; Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
	conPubs.Open();
	dtrAuthors = cmdSelect.ExecuteReader();

	// Bind to Repeater
	rptAuthors.DataSource = dtrAuthors;
	rptAuthors.DataBind();

	dtrAuthors.Close();
	conPubs.Close();
}

</Script>

<html>
<head><title>Repeater.aspx</title></head>
<body>
<form Runat="Server">

<asp:Repeater
  ID="rptAuthors"
  Runat="Server">

  <ItemTemplate>
  <%#DataBinder.Eval(Container.DataItem, "au_lname" ) %>
  </ItemTemplate>

</asp:Repeater>

</form>
</body>
</html>
