<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim intEmployeeID As Integer
  Dim conNorthwind As SqlConnection
  Dim strSelect As String
  Dim cmdSelect As SqlCommand
  Dim dtrEmployee As SqlDataReader

  ' Retrieve Employee ID
  intEmployeeID = Int32.Parse( Request.QueryString( "id" ) )

  ' Get Employee Detail Information
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  strSelect = "Select * From Employees Where EmployeeID=@employeeID"
  cmdSelect = New SqlCommand( strSelect, conNorthwind )
  cmdSelect.Parameters.Add( "@employeeID", intEmployeeID )
  conNorthwind.Open()
  dtrEmployee = cmdSelect.ExecuteReader( CommandBehavior.SingleRow )

  ' Display in Label Controls
  If dtrEmployee.Read Then
    lblEmployee.Text = dtrEmployee( "LastName" )
    lblEmployee.Text &= ", " & dtrEmployee( "FirstName" )
    lblPhone.Text = dtrEmployee( "HomePhone" )
    lblAddress.Text = dtrEmployee( "Address" )
    lblCity.Text = dtrEmployee( "City" ) & ", "
    lblRegion.Text = dtrEmployee( "Region" ).ToString()
    lblPostalCode.Text = dtrEmployee( "PostalCode" )
  End If

  dtrEmployee.Close()
  conNorthwind.Close()
End Sub

</Script>

<html>
<head><title>Details.aspx</title></head>
<body>
<form Runat="Server">

<h2>
<asp:Label
  ID="lblEmployee"
  Runat="Server"/>
</h2>

<p>

<b>Phone:</b>
<blockquote>
  <asp:Label
    ID="lblPhone"
    Runat="Server" />
</blockquote>

<b>Address:</b>
<blockquote>
  <asp:Label
    ID="lblAddress"
    Runat="Server" />
  <br>
  <asp:Label
    ID="lblCity"
    Runat="Server" />
  <asp:Label
    ID="lblRegion"
    Runat="Server" />
  &nbsp;&nbsp;
  <asp:Label
    ID="lblPostalCode"
    Runat="Server" />
</blockquote>

</form>
</body>
</html>
