<%@ Page Language="C#"%>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
void Page_Load(Object sender, EventArgs e)
{ 
	if (! IsPostBack )
	{
		// set the initial page in the DataGrid to zero
		// (not actually required as this is the default)
		dgrdTitles.CurrentPageIndex = 0;
		BindDataGrid();
	}
}

void BindDataGrid (){
	SqlConnection conPubs;
	SqlCommand cmdSelect;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Titles", conPubs );
	conPubs.Open();
	dgrdTitles.DataSource = cmdSelect.ExecuteReader();
	dgrdTitles.DataBind();
	conPubs.Close();
}

void dgrdTitles_EditCommand( object s, DataGridCommandEventArgs e ) {
	dgrdTitles.EditItemIndex = e.Item.ItemIndex;
	BindDataGrid();
}

</Script>

<html>
<head><title>DataGridEditCommandColumn.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  OnEditCommand="dgrdTitles_EditCommand"
  AutoGenerateColumns="False"
  CellPadding="10"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="Book Titles"
    DataField="Title" />

  <asp:EditCommandColumn
    EditText="Edit!"
    UpdateText="Update!"
    CancelText="Cancel!" />

</Columns>
</asp:DataGrid>

</form>
</body>
</html>
