<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

void Page_Load(object sender, EventArgs e) 
{
	SqlConnection conPubs;
	SqlCommand cmdSelect;

	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	cmdSelect = new SqlCommand( "Select * From Authors", conPubs );
	conPubs.Open();
	dgrdAuthors.DataSource = cmdSelect.ExecuteReader();
	dgrdAuthors.DataBind();
	conPubs.Close();
}

</Script>

<html>
<head><title>DataGridTemplate.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdAuthors"
  AutoGenerateColumns="False"
  EnableViewState="False"
  ShowHeader="False"
  CellPadding="10"
  Runat="Server">

<Columns>
  <asp:BoundColumn
    DataField="au_lname" />

  <asp:TemplateColumn>
    <itemTemplate>
    <table>
    <tr>
      <td>Phone:</td>
      <td><%#DataBinder.Eval(Container.DataItem, "phone" )%></td>
    </tr>
    <tr>
      <td>City:</td>
      <td><%#DataBinder.Eval(Container.DataItem, "city" )%></td>
    </tr>
    </table>
    </itemTemplate>
  </asp:TemplateColumn>
</Columns>

</asp:DataGrid>

</form>
</body>
</html>
