<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlCommand cmdSelect;
	SqlDataReader dtrCategories;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	cmdSelect = new SqlCommand( "Select CategoryName From Categories", conNorthwind );
	conNorthwind.Open();
	dtrCategories = cmdSelect.ExecuteReader();

	dlstCategories.DataSource = dtrCategories;
	dlstCategories.DataBind();

	dtrCategories.Close();
	conNorthwind.Close();
}

</Script>

<html>
<head><title>DataListStyles.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  id="dlstCategories"
  CellSpacing="20"
  CellPadding="10"
  ItemStyle-BorderStyle="Dashed"
  AlternatingItemStyle-BackColor="pink"
  Runat="Server">

<ItemTemplate>
  <%#DataBinder.Eval(Container.DataItem, "CategoryName" )%>
</ItemTemplate>

</asp:DataList>

</form>
</body>
</html>
