<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<Script Runat="Server">

Sub Page_Load
  If Not isPostBack Then
    BindDataGrid
  End If
End Sub

Sub BindDataGrid
  Dim conPubs As SqlConnection
  Dim dadTitles As SqlDataAdapter
  Dim dstTitles As DataSet

  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
  dadTitles = New SqlDataAdapter( "Select * From Titles Order By Title", conPubs )
  dstTitles = New DataSet
  dadTitles.Fill( dstTitles )

  dgrdTitles.DataSource = dstTitles
  dgrdTitles.DataBind()
End Sub

Sub dgrdTitles_PageIndexChanged( s As Object, e As DataGridPageChangedEventArgs )
  dgrdTitles.CurrentPageIndex = e.NewPageIndex
  BindDataGrid
End Sub

</Script>

<html>
<head><title>DataGridPaging.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataGrid
  ID="dgrdTitles"
  AllowPaging="True"
  PageSize="5"
  OnPageIndexChanged="dgrdTitles_PageIndexChanged"
  CellPadding="3"
  Runat="Server" />

</form>
</body>
</html>
