<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Sub Page_Load
  Dim conPubs As SqlConnection
  Dim cmdSelect As SqlCommand
  Dim dtrAuthors As SqlDataReader

  conPubs = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Pubs" )
  cmdSelect = New SqlCommand( "Select * From Authors", conPubs )
  conPubs.Open()
  dtrAuthors = cmdSelect.ExecuteReader()

  dlstAuthors.DataSource = dtrAuthors
  dlstAuthors.DataBind()

  dtrAuthors.Close()
  conPubs.Close()
End Sub

</Script>

<html>
<head><title>DataListTemplate.aspx</title></head>
<body>
<form Runat="Server">

<asp:DataList
  ID="dlstAuthors"
  Runat="Server">

<HeaderTemplate>
  <h2>Author Phone Numbers:</h2>
</HeaderTemplate>

<ItemTemplate>
  <table>
  <tr>
    <td align="right">First Name:</td>
    <td><%# Container.DataItem( "au_fname" )%></td>
  </tr>
  <tr>
    <td align="right">Last Name:</td>
    <td><%# Container.DataItem( "au_lname" )%></td>
  </tr>
  <tr>
    <td align="right">Phone:</td>
    <td><%# Container.DataItem( "phone" )%></td>
  </tr>
  </table>
</ItemTemplate>

<SeparatorTemplate>
  <hr>
</SeparatorTemplate>

</asp:DataList>

</form>
</body>
</html>
