<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	DataSet dstProducts;
	SqlConnection conNorthwind;
	SqlDataAdapter dadProducts;
	DataTable dtblProducts;
	DataColumn dcolProductID;

	dstProducts = new DataSet();
	dtblProducts = new DataTable( "Products" );
	dcolProductID = new DataColumn (("ProductID"), System.Type.GetType("System.Int32"));
	dcolProductID.AutoIncrement = true;
	dtblProducts.Columns.Add( dcolProductID );
	dstProducts.Tables.Add( dtblProducts );

	conNorthwind = new SqlConnection( @"Server=localhost;Database=Northwind;Integrated Security=SSPI" );
	dadProducts = new SqlDataAdapter( "Select ProductName From Products", conNorthwind );
	dadProducts.Fill( dstProducts, "Products" );

	dgrdProducts.DataSource = dstProducts;
	dgrdProducts.DataBind();
}

</Script>

<html>
<head><title>AutoIncrement.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />

</body>
</html>
