<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	DataSet dstTitles;
	SqlConnection conPubs;
	SqlDataAdapter dadTitles;
	DataTable dtblTitles;
	DataColumn dcolPrice;
	DataRow drowTitle;

	// Grab Titles Table
	dstTitles = new DataSet();
	conPubs = new SqlConnection( @"Server=localhost;Database=Pubs;Integrated Security=SSPI" );
	dadTitles = new SqlDataAdapter( "Select Title, Price From Titles", conPubs );
	dadTitles.Fill( dstTitles, "Titles" );

	// set { Default value
	dtblTitles = dstTitles.Tables[ "Titles" ];
	dcolPrice = dtblTitles.Columns[ "Price" ];
	dcolPrice.DefaultValue = 34.67;

	// Add new Row
	drowTitle = dtblTitles.NewRow();
	drowTitle[ "Title" ] = "ASP.NET Unleashed";
	dtblTitles.Rows.Add( drowTitle );

	// Bind to DataGrid
	dgrdTitles.DataSource = dstTitles;
	dgrdTitles.DataBind();
}

</Script>

<html>
<head><title>DefaultValue.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdTitles"
  Runat="Server" />

</body>
</html>
