<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	DataSet dstProducts;
	SqlConnection conNorthwind;
	SqlDataAdapter dadProducts;
	DataTable dtblProducts;
	 

	// Initialize DataAdapter
	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	dadProducts = new SqlDataAdapter( "Select * From Products", conNorthwind );

	// set { Missing Schema Action Property
	dadProducts.MissingSchemaAction = MissingSchemaAction.AddWithKey;

	// Retrieve Products
	dstProducts = new DataSet();
	dadProducts.Fill( dstProducts, "Products" );
	dgrdProducts.DataSource = dstProducts;
	dgrdProducts.DataBind();

	// Display Primary Keys
	dtblProducts = dstProducts.Tables[ "Products" ];
	foreach ( DataColumn dcolPrimaryKey in dtblProducts.PrimaryKey)
	{
		lblPrimaryKeys.Text = "<li>" + dcolPrimaryKey.ColumnName;
	} 
}
</Script>

<html>
<head><title>MissingSchemaAction.aspx</title></head>
<body>

<asp:DataGrid
  id="dgrdProducts"
  Runat="Server" />

<p>

<asp:Label
  ID="lblPrimaryKeys"
  Runat="Server" />

</body>
</html>
