<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Dim dstProducts As DataSet

Sub Page_Load
  Dim conNorthwind As SqlConnection
  Dim dadProducts As SqlDataAdapter

  ' Grab Products Table
  dstProducts = New DataSet()
  conNorthwind = New SqlConnection( "Server=localhost;Database=Northwind;UID=sa;PWD=secret" )
  dadProducts = New SqlDataAdapter( "Select Top 10 * from Products", conNorthwind )
  dadProducts.Fill( dstProducts, "Products" )

  ' Bind to DataGrid
  dgrdProducts.DataSource = dstProducts
  DataBind()
End Sub

Function OrderTotal() As String
  Dim dtblProducts As DataTable
  Dim intSumTotal As Integer

  dtblProducts = dstProducts.Tables( "Products" )
  intSumTotal = dtblProducts.Compute( "Sum( UnitPrice )", Nothing )
  Return intSumTotal.ToString( "c" )
End Function
</Script>

<html>
<head><title>Compute.aspx</title></head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />
<p>
<b>Order Total:</b>
<asp:Label
  Text='<%# OrderTotal() %>'
  Runat="Server" />

</body>
</html>
