<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

Dim dvwProducts As DataView

Sub Page_Load
  Dim conNorthwind As SqlConnection
  Dim dadProducts As SqlDataAdapter
  Dim dstProducts As DataSet

  ' Create Products DataSet
  dstProducts = New DataSet()
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;Database=Northwind" )
  dadProducts = New SqlDataAdapter( "Select * From Products", conNorthwind )
  dadProducts.Fill( dstProducts, "Products" )

  ' Create default DataView
  dvwProducts = dstProducts.Tables( "Products" ).DefaultView()

  ' Bind to datagrid
  dgrdProducts.DataSource = dstProducts
  dgrdProducts.DataBind()
End Sub

Sub dgrdProducts_SortCommand( s As Object, e As DataGridSortCommandEventArgs )
  ' Sort DataView
  dvwProducts.Sort = e.SortExpression

  ' Rebind to DataGrid
  dgrdProducts.DataSource = dvwProducts
  dgrdProducts.DataBind()
End Sub
</Script>

<html>
<head><title>SortDataView.aspx</title></head>
<body>

<form Runat="Server">
<asp:DataGrid
  ID="dgrdProducts"
  AllowSorting="True"
  OnSortCommand="dgrdProducts_SortCommand"
  Runat="Server" />
</form>

</body>
</html>
