<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Xsl" %>

<script runat=server>
void Page_Load(Object sender , EventArgs e) 
{
	SqlConnection conNorthwind;
	SqlDataAdapter dadProducts;
	DataSet dstProducts;
	XmlDataDocument objDataDocument;
	XslTransform objXsl;

	conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
	dadProducts = new SqlDataAdapter( "Select * From Products", conNorthwind );
	dstProducts = new DataSet();
	dadProducts.Fill( dstProducts, "Products" );

	objDataDocument = new XmlDataDocument( dstProducts );

	objXsl = new XslTransform();
	objXsl.Load( MapPath( "TransformProducts.xsl" ) );
	objXsl.Transform( objDataDocument, null, Response.OutputStream );
}
</Script>
