<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
  DataSet dstProducts = (DataSet)(Cache[ "productsDS" ]);
  if ( dstProducts == null ) 
  {
    dstProducts = GetProducts();
    Cache.Insert( "Products", dstProducts,  new CacheDependency( "c:\\tableChange.txt" ) );
  }
  dgrdProducts.DataSource = dstProducts;
  dgrdProducts.DataBind();
}

DataSet GetProducts() {
   SqlConnection conNorthwind;
   string  strSelect;
   SqlDataAdapter dadProducts;
   DataSet dstProducts;

  conNorthwind = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Northwind" );
  strSelect = "Select TOP 20 * From Products ORDER BY ProductID";
  dadProducts = new SqlDataAdapter( strSelect, conNorthwind );
  dstProducts = new DataSet();
  dadProducts.Fill( dstProducts, "ProductsDS" );
  return dstProducts;
}

</Script>

<html>
<head><title>DatabaseDependency.aspx</title>
</head>
<body>

<asp:DataGrid
  ID="dgrdProducts"
  Runat="Server" />

</body>
</html>
