<Script Runat="Server">

Sub UpdateItem1( s As Object, e As EventArgs )
  Cache( "item1" ) = txtNewValue.Text
End Sub

Sub UpdateItem2( s As Object, e As EventArgs )
  Dim arrKeyDepends() As String = { "item1" }

  Cache.Insert( "item2", txtNewValue.Text, _
    New CacheDependency( Nothing, arrKeyDepends ) )
End Sub

</Script>

<html>
<head><title>KeyDependency.aspx</title></head>
<body>
<form Runat="Server">

<asp:TextBox
  ID="txtNewValue"
  Runat="Server" />
<p>
<asp:Button
  Text="Update Item1"
  OnClick="UpdateItem1"
  Runat="Server" />
<asp:Button
  Text="Update Item2"
  OnClick="UpdateItem2"
  Runat="Server" />

<hr>

Item1 = <%=Cache( "item1" )%>
<br>
Item2 = <%=Cache( "item2" )%>

</form>
</body>
</html>
