<%@ Page Language="C#" Debug="True" %>
<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
	FormsIdentity objUserIdentity;
	FormsAuthenticationTicket objTicket;

	if ( User.Identity.IsAuthenticated )
	{
		objUserIdentity = (FormsIdentity)User.Identity;
		objTicket = (FormsAuthenticationTicket)objUserIdentity.Ticket;
		lblName.Text = objUserIdentity.Name.ToString();
		lblExpiration.Text = objTicket.Expiration.ToString();
		lblExpired.Text = objTicket.Expired.ToString();
		lblIsPersistent.Text = objTicket.IsPersistent.ToString();
		lblIssueDate.Text = objTicket.IssueDate.ToString();
		lblUserData.Text = objTicket.UserData.ToString();
		lblVersion.Text = objTicket.Version.ToString();
	}
	else
	{
		lblName.Text = "Who Are You?";
	}
}

</Script>

<html>
<head><title>FormsIdentity.aspx</title>
<body>

<asp:Label
  ID="lblName"
  Font-Size="18pt"
  Font-Bold="True"
  Runat="Server" />
<p>
Expiration:
<asp:Label
  ID="lblExpiration"
  Runat="Server" />
<p>
Expired:
<asp:Label
  ID="lblExpired"
  Runat="Server" />
<p>
IsPersistent:
<asp:Label
  ID="lblIsPersistent"
  Runat="Server" />
<p>
IssueDate:
<asp:Label
  ID="lblIssueDate"
  Runat="Server" />
<p>
UserData:
<asp:Label
  ID="lblUserData"
  Runat="Server" />
<p>
Version:
<asp:Label
  ID="lblVersion"
  Runat="Server" />

</body>
</html>
