<%@ debug="True" %>
<Script Runat="Server">

Sub Page_Load
  Dim objUserIdentity As FormsIdentity
  Dim objTicket As FormsAuthenticationTicket

  If User.Identity.IsAuthenticated Then
    objUserIdentity = User.Identity
    objTicket = objUserIdentity.Ticket
    lblName.Text = objUserIdentity.Name
    lblExpiration.Text = objTicket.Expiration
    lblExpired.Text = objTicket.Expired
    lblIsPersistent.Text = objTicket.IsPersistent
    lblIssueDate.Text = objTicket.IssueDate
    lblUserData.Text = objTicket.UserData
    lblVersion.Text = objTicket.Version
  Else
    lblName.Text = "Who Are You?"
  End If
End Sub

</Script>

<html>
<head><title>FormsIdentity.aspx</title>
<body>

<asp:Label
  ID="lblName"
  Font-Size="18pt"
  Font-Bold="True"
  Runat="Server" />
<p>
Expiration:
<asp:Label
  ID="lblExpiration"
  Runat="Server" />
<p>
Expired:
<asp:Label
  ID="lblExpired"
  Runat="Server" />
<p>
IsPersistent:
<asp:Label
  ID="lblIsPersistent"
  Runat="Server" />
<p>
IssueDate:
<asp:Label
  ID="lblIssueDate"
  Runat="Server" />
<p>
UserData:
<asp:Label
  ID="lblUserData"
  Runat="Server" />
<p>
Version:
<asp:Label
  ID="lblVersion"
  Runat="Server" />

</body>
</html>
