<%@ Import Namespace="System.Security.Cryptography" %>

<Script Runat="Server">

Function Convert2ByteArray( strInput As String ) As Byte()
  Dim intCounter As Integer
  Dim arrChar As Char()

  arrChar = strInput.ToCharArray()
  Dim arrByte( arrChar.Length - 1 ) As Byte
  For intCounter = 0 To arrByte.Length - 1
    arrByte( intCounter ) = Convert.ToByte( arrChar( intCounter ) )
  Next
  Return arrByte
End Function

Sub Button_Click( s As Object, e As EventArgs )
  Dim arrInput As Byte()
  Dim objDSA As DSACryptoServiceProvider
  Dim strPublicKey As String
  Dim arrDigitalSignature As Byte()

  arrInput = Convert2ByteArray( txtInput.Text )
  objDSA = New DSACryptoServiceProvider()
  strPublicKey = objDSA.ToXMLString( False )
  arrDigitalSignature = objDSA.SignData( arrInput )
  txtSignature.Text = BitConverter.ToString( arrDigitalSignature )
  txtPublicKey.Text = strPublicKey
End Sub

</Script>

<html>
<head><title>AsymmetricWrite.aspx</title></head>
<body>

<H2>Create Digital Signature</h2>

<form Runat="Server">

<asp:TextBox
  ID="txtInput"
  TextMode="Multiline"
  Columns="60"
  Rows="3"
  Runat="Server" />
<p>
<asp:Button
  Text="Create Signature!"
  OnClick="Button_Click"
  Runat="Server" />
<p>
Digital Signature:
<br>
<asp:TextBox
  ID="txtSignature"
  TextMode="Multiline"
  Columns="60"
  Rows="4"
  Runat="Server" />
<p>
Public Key:
<br>
<asp:TextBox
  ID="txtPublicKey"
  TextMode="Multiline"
  Columns="60"
  Rows="10"
  Runat="Server" />

</form>
</body>
</html>
