﻿<%@ Page Language="C#" debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

void Page_Load(object sender, EventArgs e) {
	string strType;
	string strSelect;
	SqlConnection conPubs;
	SqlCommand cmdTitles;
	
	strType = Request.QueryString["type"];
	conPubs = new SqlConnection( @"Server=localhost;Integrated Security=SSPI;Database=Pubs" );
	strSelect = "select title, price from titles where type=@type";
	cmdTitles = new SqlCommand( strSelect, conPubs );
	cmdTitles.Parameters.Add( "@type", strType );
	conPubs.Open();
		rptTitles.DataSource = cmdTitles.ExecuteReader();
		rptTitles.DataBind();
	conPubs.Close();
}

</Script>

<html>
<head><title>Titles.aspx</title></head>
<body>

<asp:Repeater
  id="rptTitles"
  Runat="Server">
  <ItemTemplate>

  <li> <%# DataBinder.Eval(Container.DataItem, "title") %>
  - <%# DataBinder.Eval(Container.DataItem, "price", "{0:c}" ) %>
  </ItemTemplate>
</asp:Repeater>

</body>
</html>
 