<%@ Page Language="C#" %>
<script language="C#" runat=server>

void Button_Click(Object sender , EventArgs e) 
{
  Regex objRegex;

  objRegex = new Regex( txtRegularExpression.Text );
  dgrdMatches.DataSource = objRegex.Matches( txtMatchExpression.Text );
  dgrdMatches.DataBind();
}

</Script>

<html>
<head><title>TestRegEx.aspx</title></head>
<body>
<form Runat="Server">

<b>Regular Expression:</b>
<br>
<asp:TextBox
  ID="txtRegularExpression"
  Columns="80"
  Runat="Server" />
<p>
<b>Text:</b>
<br>
<asp:TextBox
  ID="txtMatchExpression"
  TextMode="MultiLine"
  Columns="80"
  Rows="3"
  Runat="Server" />
<p>
<asp:Button
  Text="Test RegEx!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:DataGrid
  ID="dgrdMatches"
  CellPadding="4"
  HeaderStyle-BackColor="LightBlue"
  HeaderStyle-Font-Bold="True"
  AutoGenerateColumns="False"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="Success"
    DataField="success" />
  <asp:BoundColumn
    HeaderText="Index"
    DataField="Index" />
  <asp:BoundColumn
    HeaderText="Length"
    DataField="Length" />
  <asp:TemplateColumn>
    <HeaderTemplate>
      Value
    </HeaderTemplate>
    <ItemTemplate>
     
    </ItemTemplate>
  </asp:TemplateColumn>
</Columns>   
</asp:DataGrid>

</form>
</body>
</html>
