<Script Runat="Server">

Sub Button_Click( s As Object, e As EventArgs )
  Dim objRegEx As RegEx

  objRegEx = New RegEx( txtRegularExpression.Text )
  dgrdMatches.DataSource = objRegEx.Matches( txtMatchExpression.Text )
  dgrdMatches.DataBind()
End Sub

</Script>

<html>
<head><title>TestRegEx.aspx</title></head>
<body>
<form Runat="Server">

<b>Regular Expression:</b>
<br>
<asp:TextBox
  ID="txtRegularExpression"
  Columns="80"
  Runat="Server" />
<p>
<b>Text:</b>
<br>
<asp:TextBox
  ID="txtMatchExpression"
  TextMode="MultiLine"
  Columns="80"
  Rows="3"
  Runat="Server" />
<p>
<asp:Button
  Text="Test RegEx!"
  OnClick="Button_Click"
  Runat="Server" />
<hr>
<asp:DataGrid
  ID="dgrdMatches"
  CellPadding="4"
  HeaderStyle-BackColor="LightBlue"
  HeaderStyle-Font-Bold="True"
  AutoGenerateColumns="False"
  Runat="Server">
<Columns>
  <asp:BoundColumn
    HeaderText="Success"
    DataField="success" />
  <asp:BoundColumn
    HeaderText="Index"
    DataField="Index" />
  <asp:BoundColumn
    HeaderText="Length"
    DataField="Length" />
  <asp:TemplateColumn>
    <HeaderTemplate>
      Value
    </HeaderTemplate>
    <ItemTemplate>
      <%# Server.HtmlEncode( Container.DataItem.Value ) %>
    </ItemTemplate>
  </asp:TemplateColumn>
</Columns>   
</asp:DataGrid>

</form>
</body>
</html>
