<%@ Page ContentType="image/gif" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>

<Script Language="C#" Runat="Server">

void Page_Load()
{
  // Calculate Multiplier
  decimal decMaxData = Decimal.Parse( Request.QueryString[ "x" ] );
  decimal decMultiplier = 100 / decMaxData;

  // Retrieve Colors
  string strBackColor = Request.QueryString[ "backcolor" ];
  string strForeColor = Request.QueryString[ "forecolor" ];
  Color objBackColor = ColorTranslator.FromHtml( strBackColor );
  Color objForeColor = ColorTranslator.FromHtml( strForeColor );
  SolidBrush objBrush = new SolidBrush( objForeColor );

  // Build Bar Chart
  string[] arrChartData = Request.QueryString.GetValues( "d" );
  int intWidth = ( arrChartData.Length * 15 ) + 10;
  int intHeight = (int)( decMaxData * decMultiplier ) + 5;
  if (arrChartData != null)
  {
    Bitmap objBitmap = new Bitmap( intWidth, intHeight );
    Graphics objGraphics = Graphics.FromImage( objBitmap );
    objGraphics.Clear( objBackColor );
    for (int intDataIndex = 0; intDataIndex < arrChartData.Length; intDataIndex++)
    {
      int intDataItem = (int)(Int32.Parse(arrChartData[ intDataIndex ]) * decMultiplier);
      objGraphics.FillRectangle( 
        objBrush, 
        ( intDataIndex * 15 ) + 5, 
        intHeight - intDataItem, 
        10, 
        intHeight );
    }
    objBitmap.Save( Response.OutputStream, ImageFormat.Gif );
  }
}

</Script>
