<%@ ContentType="image/jpeg"%>
<%@ Import namespace="System.Drawing" %>
<%@ Import namespace="System.Drawing.Imaging" %>
<%@ Import namespace="System.Drawing.Drawing2D" %>
<%@ Import namespace="System.Drawing.Text" %>

<Script Runat="Server">

Sub Page_Load
  Dim objBitmap As Bitmap
  Dim objGraphics As Graphics
  Dim objPen As Pen
  Dim objBrush As Brush
  Dim objFont As Font
  
  ' Create Bitmap
  objBitmap = New Bitmap( 400, 400 )

  ' Initialize Graphics Class
  objGraphics = Graphics.FromImage( objBitmap )

  ' Create Pen, Brush and Font
  objPen = New Pen( Color.Yellow )
  objBrush = New SolidBrush( Color.Yellow )
  objFont = New Font( "Lucida Sans Unicode", 18 )

  ' Default SmoothingMode
  objGraphics.SmoothingMode = SmoothingMode.Default
  objGraphics.DrawString( "Default", objFont, objBrush, 50, 20 )
  objGraphics.DrawEllipse( objPen, 10, 10, 200, 50 )  

  ' AntiAlias SmoothingMode
  objGraphics.SmoothingMode = SmoothingMode.AntiAlias
  objGraphics.DrawString( "AntiAlias", objFont, objBrush, 50, 80 )
  objGraphics.DrawEllipse( objPen, 10, 70, 200, 50 )  

  ' HighQuality SmoothingMode
  objGraphics.SmoothingMode = SmoothingMode.HighQuality
  objGraphics.DrawString( "HighQuality", objFont, objBrush, 50, 140 )
  objGraphics.DrawEllipse( objPen, 10, 130, 200, 50 )  

  ' HighSpeed SmoothingMode
  objGraphics.SmoothingMode = SmoothingMode.HighSpeed
  objGraphics.DrawString( "HighSpeed", objFont, objBrush, 50, 200 )
  objGraphics.DrawEllipse( objPen, 10, 190, 200, 50 )  

  ' None SmoothingMode
  objGraphics.SmoothingMode = SmoothingMode.None
  objGraphics.DrawString( "None", objFont, objBrush, 50, 260 )
  objGraphics.DrawEllipse( objPen, 10, 250, 200, 50 )  

  ' Display Bitmap
  objBitmap.Save( Response.OutputStream, ImageFormat.JPEG )
End Sub

</Script>

