Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Collections.Specialized

Namespace myControls

Public Class TextBoxColor
Inherits Control
Implements IPostBackDataHandler
Implements IPostBackEventHandler

Public BoxColor As String = "Blue"

Public Text As String

Public Sub RaisePostBackEvent(EventArgument As String) _
Implements IPostBackEventHandler.RaisePostBackEvent
  If (eventArgument = "Red" )
    Me.BoxColor = "Red"
  Else
    Me.BoxColor = "Blue"
  End If
End Sub

Public Function LoadPostData(PostDataKey As String, Values As NameValueCollection) As Boolean _
Implements IPostBackDataHandler.LoadPostData
  Dim strNewValue As String

  Text = Values( Me.UniqueID )
  Return False
End Function

Public Sub RaisePostDataChangedEvent() _
Implements IPostBackDataHandler.RaisePostDataChangedEvent
  ' Raise Change Event
End Sub

Protected Overrides Sub Render( objTextWriter As HtmlTextWriter )
  objTextWriter.AddAttribute( "Name", Me.UniqueID )
  objTextWriter.AddStyleAttribute( "background-color", BoxColor )
  objTextWriter.AddStyleAttribute( "color", "Yellow" )
  objTextWriter.AddAttribute( "value", Text )
  objTextWriter.RenderBeginTag( "input" )
  objTextWriter.RenderEndTag
  objTextWriter.WriteLine( "<p>" )
  objTextWriter.AddAttribute( "Type", "Button" )
  objTextWriter.AddAttribute( "Value", "Display Red!" )
  objTextWriter.AddAttribute( "OnClick", "JScript:" & Page.GetPostBackEventReference( Me, "Red" ) )
  objTextWriter.RenderBeginTag( "Input" )
  objTextWriter.RenderEndTag()
  objTextWriter.WriteLine( "&nbsp;&nbsp;" )
  objTextWriter.AddAttribute( "Type", "Button" )
  objTextWriter.AddAttribute( "Value", "Display Blue!" )
  objTextWriter.AddAttribute( "OnClick", "JScript:" & Page.GetPostBackEventReference( Me, "Blue" ) )
  objTextWriter.RenderBeginTag( "Input" )
  objTextWriter.RenderEndTag()
End Sub

End Class

End Namespace
