using System;
using System.Web;
using System.Web.UI;
using System.Collections;

namespace myControls {

	public class SimpleDataBound : Control {

		private IEnumerable _dataSource;

		public IEnumerable DataSource {
			get {
				return _dataSource;
			}
			set {
				_dataSource = value;
			}
		}

		protected override void OnDataBinding(EventArgs e) {
			IEnumerator DataEnum;
			LiteralControl ltlLiteral;

			if (DataSource != null) {
				Controls.Clear();
				DataEnum = DataSource.GetEnumerator();
				while ( DataEnum.MoveNext() ){
					ltlLiteral = new LiteralControl( DataEnum.Current.ToString() );
					Controls.Add( ltlLiteral );
					Controls.Add( new LiteralControl( "<br>" ) );
				}
			}
		}
	}
}
