Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Data

Namespace myControls

Public Class FeaturedControl
Inherits WebControl

Private Function GetDataSet() As DataSet
  Dim objService As FeaturedService

  objService = New FeaturedService
  Return objService.GetFeatured()
End Function

Protected Overrides Sub RenderContents( objTextWriter As HtmlTextWriter )
  Dim dstDataSet As DataSet
  Dim dtblDataTable As DataTable
  Dim drowRow As DataRow

  dstDataSet = Context.Cache( "FeaturedProducts" )
  If dstDataSet Is Nothing Then
    dstDataSet = GetDataSet()
    Context.Cache.Insert( "FeaturedProducts", dstDataSet, Nothing, _
             DateTime.Now.AddMinutes(5), TimeSpan.Zero )
  End If

  dtblDataTable = dstDataSet.Tables( "Products" )
  For each drowRow in dtblDataTable.Rows
    objTextWriter.Write( "<li>" )
    objTextWriter.Write( drowRow( "ProductName" ) )
    objTextWriter.Write( " - " )
    objTextWriter.Write( String.Format( "{0:c}", drowRow( "UnitPrice" ) ) )
    objTextWRiter.WriteLine( "<p>" )
  Next
End Sub

End Class

End Namespace
