Imports System
Imports System.Web
Imports System.Web.UI

Namespace myControls

Public Class TemplateNumbersItem
Inherits Control
Implements INamingContainer

  Private _dataItem As Integer

  Public Sub New( DataItem As Integer )
    _dataItem = DataItem
  End Sub

  Public Property DataItem As Integer
    Get
      Return _dataItem
    End Get
    Set
      _dataItem = Value
    End Set
  End Property
End Class


<ParseChildren(true)> Public Class TemplateNumbers
Inherits Control
Implements INamingContainer

  Private _numberTemplate As ITemplate

  <TemplateContainer(GetType(TemplateNumbersItem))> _
  Public Property NumberTemplate As ITemplate
    Get
      Return _numberTemplate
    End Get
    Set
      _numberTemplate = Value
    End Set
  End Property

  Public Overrides Sub DataBind()
    EnsureChildControls()
    MyBase.DataBind()
  End Sub

  Protected Overrides Sub CreateChildControls()
    Dim intCounter As Integer
    Dim objTemplateNumbersItem As TemplateNumbersItem

    Controls.Clear()
    For intCounter = 1 To 10
      objTemplateNumbersItem = New TemplateNumbersItem( intCounter )
      NumberTemplate.InstantiateIn( objTemplateNumbersItem )
      Controls.Add( objTemplateNumbersItem )
    Next
  End Sub
End Class

End Namespace
