<!-- #INCLUDE Virtual="~/site/includes/header.aspx" -->

<script language="C#" runat=server>

string  strUsername;

void Page_Load(Object sender , EventArgs e) 
{
  if (! IsPostBack )
  {
    strUsername = Request.QueryString[ "id" ];
    ViewState["username"] = strUsername;
  } 
  else
  {
    strUsername = ViewState[ "username" ].ToString();
  }
}

void Button_Click( object s, EventArgs e )
{
   SqlConnection conJobs;
   string  strConString;
   SqlCommand cmdInsert;
  if ( IsValid )
  {
  strConString = ConfigurationSettings.AppSettings[ "constring" ];
  conJobs = new SqlConnection( strConString );
  cmdInsert = new SqlCommand( "addEnquiry", conJobs );
  cmdInsert.CommandType = CommandType.StoredProcedure;
  cmdInsert.Parameters.Add( "@from", Page.User.Identity.Name );
  cmdInsert.Parameters.Add( "@to", strUsername );
  cmdInsert.Parameters.Add( "@message", txtMessage.Text );
  conJobs.Open();
    cmdInsert.ExecuteNonQuery();
  conJobs.Close();
  Response.Redirect( string .Format( "~/{0}.aspx", strUsername ) );
  }
}


</Script>

<myControls:Header
  PageTitle="Enquire"
  Runat="Server" />
<form runat="Server">

<myControls:UserLinks
  Runat="Server" />
<br clear="all">
Enter a message to send to <%=strUsername%> in the textbox below:
<br>
<asp:TextBox
  ID="txtMessage"
  TextMode="Multiline"
  Columns="80"
  Rows="5"
  CssClass="formfield"
  Runat="Server" />
<br>
<asp:Button
  Text="Send!"
  OnClick="Button_Click"
  Runat="Server" />

</form>

<myControls:Footer
  Runat="Server" />
