<!-- #INCLUDE Virtual="~/site/includes/header.aspx" -->

<script language="C#" runat=server>

void Button_Click( object s, EventArgs e )
{
   string  strUsername;
   SqlConnection conJobs;
   string  strConString;
   SqlCommand cmdInsert;

  // get Username
  strUsername = User.Identity.Name;

  // Add Job to Database
  if ( IsValid )
  {
  strConString = ConfigurationSettings.AppSettings[ "constring" ];
  conJobs = new SqlConnection( strConString );
  cmdInsert = new SqlCommand( "addJob", conJobs );
  cmdInsert.CommandType = CommandType.StoredProcedure;
  cmdInsert.Parameters.Add( "@username", strUsername );
  cmdInsert.Parameters.Add( "@briefdesc", txtJobBriefdesc.Text );
  cmdInsert.Parameters.Add( "@fulldesc", txtJobfulldesc.Text );
  conJobs.Open();
  cmdInsert.ExecuteNonQuery();
  conJobs.Close();
  }

  // Clear new Jobs From Cache
  Cache.Remove( "NewJobs" );
  // return to User Home
  Response.Redirect( string .Format( "~/{0}.aspx", strUsername ) );
}

</Script>

<myControls:Header
  PageTitle="List Job"
  Runat="Server" />

<form runat="Server">
<myControls:UserLinks
  Runat="Server" />

<b>Job Brief Description</b>
<br>
<asp:TextBox
  id="txtJobBriefdesc"
  Columns="50"
  Maxlength="50"
  CssClass="formfield"
  Runat="Server"/>
<p>
<b>Job Full Description</b>
<br>
(The Full Description can contain HTML Formatting)
<br>
<asp:TextBox
  id="txtJobfulldesc"
  TextMode="Multiline"
  Columns="80"
  Rows="10"
  Maxlength="50"
  CssClass="formfield"
  Runat="Server"/>
<p>
<asp:Button
  Text="Add Job!"
  OnClick="Button_Click"
  Runat="Server" />
</form>
<myControls:Footer
  Runat="Server" />