<!-- #INCLUDE Virtual="~/site/includes/header.aspx" -->

<script language="C#" runat=server>

void Page_Load(Object sender , EventArgs e) 
{
   int intApplicationID;
   string  strConString;
   SqlConnection conJobs;
   SqlCommand cmdSelect;
   SqlDataReader dtrApplication;
   string  strUsername;
   DateTime dtmEntryDate;

  // get { Application ID
  intApplicationID = Request.QueryString( "id" );

  // get { Application From Database
  strConString = ConfigurationSettings.AppSettings( "constring" );
  conJobs = new SqlConnection( strConString );
  cmdSelect = new SqlCommand( "getApplication", conJobs );
  cmdSelect.CommandType = CommandType.StoredProcedure;
  cmdSelect.Parameters.Add( "@id", intApplicationID );
  conJobs.Open();
    dtrApplication = cmdSelect.ExecuteReader();
    if ( dtrApplication.Read() ) {
      lblMessage.Text = dtrApplication( "app_message" );
      strUsername = dtrApplication( "app_from" );
      dtmEntryDate = dtrApplication( "app_entrydate" );
    }
  conJobs.Close();
  lblPreamble.Text =    string .Format(    "On {0:f}, {1} wrote", dtmEntrydate, strUsername );
  lnkUsername.Text =    string .Format(    "{0}.aspx", strUsername );
  lnkUsername.NavigateUrl =    string .Format(    "~/{0}.aspx", strUsername );
}

</Script>

<myControls:Header
  pageTitle="View Job Application"
  Runat="Server" />

<asp:Label
  id="lblPreamble"
  Runat="Server" />
<p>
<asp:Panel
  CssClass="UserContent"
  Runat="Server">
<asp:Label
  ID="lblMessage"
  Runat="Server" />
</asp:Panel>
<p>
To visit the resume of this individual or company, click below:
<blockquote>
<asp:HyperLink
  ID="lnkUsername"
  Runat="Server" />
</blockquote>

<myControls:Footer
  Runat="Server" />