<!-- #include virtual="/aspnetstore/includes/header.aspx" -->

<Script runat="Server">

Dim intCategory As Integer
Dim strCategoryDescription As String

Sub Page_Load
  intCategory = Context.Items( "Category" )
  strCategoryDescription = CachedData.GetCategoryDescription( intCategory )
  lblCategoryDescription.Text = strCategoryDescription 
  dlstProducts.DataSource = CachedData.GetProducts( intCategory )
  dlstProducts.DataBind()
End Sub
</Script>

<html>
<head>
<link href="/aspnetstore/Styles/Store.css" type="text/css" rel="stylesheet" />
<title><%=strCategoryDescription%></title>
</head>
<body bgcolor="lightblue">
<a href="Default.aspx"><img src="banner.gif" border="1"></a>
<form runat="Server">

<myControls:Tabs
  Runat="Server" />
<table width="800" height="100%" cellpadding="10" 
  cellspacing="0" border="0">
<tr>
  <td valign="top" bgcolor="lightyellow">
  <myControls:ShoppingCart
    Runat="Server" />
  </td>
  <td width="100%" valign="top" bgcolor="white">
  <asp:Label
    id="lblCategoryDescription"
    Font-Face="Arial"
    Font-Size="14pt"
    ForeColor="Orange"
    Runat="Server" />

  <asp:DataList
    id="dlstProducts"
    RepeatColumns="2"
    Width="100%"
    CellPadding="15"
    Runat="Server">
    <ItemTemplate>
    <asp:HyperLink
      Text='<%# Container.DataItem( "ProductName" )%>'
      NavigateUrl='<%# String.Format( "Product.aspx?pid={0}&cat={1}", _ 
        Container.DataItem( "ProductID" ), _
        intCategory ) %>'
      Runat="Server" />
    </ItemTemplate>
  </asp:DataList>
  </td>
</tr>
</table>

</form>
<!-- #include virtual="/aspnetstore/includes/footer.aspx" -->